<?xml version="1.0" encoding="UTF-8"?><mm:monitor displayName="MortgageRefinancingMM" id="MortgageRefinancingMM" timestamp="2009-10-30T11:38:52Z" xmlns:bfm="http://www.ibm.com/xmlns/prod/websphere/business-process/events/7.0" xmlns:bo="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/MortgageRefinancingRequest" xmlns:bo0="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/MortgageRefinancing" xmlns:bo1="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/InitiateMortgageRefinancing" xmlns:bo10="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/VerifyBusinessDetails" xmlns:bo11="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/CustomerOccupationStatus" xmlns:bo12="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/ResourceItem" xmlns:bo13="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/ApproveMortgage" xmlns:bo14="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/ArrangementSetup" xmlns:bo15="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/MortgageRefinancingIdentification" xmlns:bo16="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/DocumentCheckList" xmlns:bo2="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/CollateMortgageDetails" xmlns:bo3="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/UnderwriteMortgage" xmlns:bo4="http://www.ibm.com/industries/financialservices" xmlns:bo5="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/RestrictedClassificationManagement" xmlns:bo6="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/RealProperty" xmlns:bo7="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/ProductArrangementServicing" xmlns:bo8="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/VerifyOccupationStatus" xmlns:bo9="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/VerifyEmploymentDetails" xmlns:bpc="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0" xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:htm="http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0" xmlns:mad="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mad" xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" xmlns:sca="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component" xmlns:tns="http://MortgageRefinancing" xmlns:wbi="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1" xmlns:wbm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <monitorDetailsModel displayName="MortgageRefinancingMM" id="MDM">
    <monitoringContext displayName="MortgageRefinancingMainProcess" eventSequenceIDPath="fn:concat(fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventProgressCounter))), */BPELData/bpc:eventProgressCounter, ':', fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventLocalCounter))), */BPELData/bpc:eventLocalCounter)" id="MortgageRefinancingMainProcess">
      <trigger displayName="State Trigger" id="State_Trigger" isRepeatable="true">
      	<onEvent ref="Initiate_Mortgage_RefinancingENTRY"/>
      </trigger>
      <trigger displayName="Underwrite Approved Trigger" id="Underwrite_Approved_Trigger" isRepeatable="true">
      	<onEvent ref="Underwrite_MortgageEXIT"/>
      	<gatingCondition expression="Underwrite_MortgageEXIT/UnderwriteMortgageResponse/bo3:MortgageRefinancingStatus ='Approve'"/>
      </trigger>
      <trigger displayName="Underwrite Reject Trigger" id="Underwrite_Reject_Trigger" isRepeatable="true">
      	<onEvent ref="Underwrite_MortgageEXIT"/>
      	<gatingCondition expression="Underwrite_MortgageEXIT/UnderwriteMortgageResponse/bo3:MortgageRefinancingStatus != 'Approve'"/>
      </trigger>
      <inboundEvent displayName="MortgageRefinancingMainProcessENTRY" id="MortgageRefinancingMainProcessENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.START"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = MortgageRefinancingMainProcessENTRY/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="MortgageRefinancingMainProcessENTRY/BPELData/wbi:eventNature = 'ENTRY' and MortgageRefinancingMainProcessENTRY/BPELData/bpc:BPCEventCode = '21000' and MortgageRefinancingMainProcessENTRY/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and MortgageRefinancingMainProcessENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="MortgageRefinancingMainProcessEXIT" id="MortgageRefinancingMainProcessEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.STATUS"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = MortgageRefinancingMainProcessEXIT/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="MortgageRefinancingMainProcessEXIT/BPELData/wbi:eventNature = 'EXIT' and MortgageRefinancingMainProcessEXIT/BPELData/bpc:BPCEventCode = '21004' and MortgageRefinancingMainProcessEXIT/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and MortgageRefinancingMainProcessEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="InitiateMortgageRefinancingRequestCHANGED" id="InitiateMortgageRefinancingRequestCHANGED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.VARIABLE.STATUS"/>
        <eventPart displayName="InitiateMortgageRefinancingRequest" id="InitiateMortgageRefinancingRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='InitiateMortgageRefinancingRequest']/wbi:value" type="bo1:InitiateMortgageRefinancingRequest"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = InitiateMortgageRefinancingRequestCHANGED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="InitiateMortgageRefinancingRequestCHANGED/BPELData/wbi:eventNature = 'CHANGED' and InitiateMortgageRefinancingRequestCHANGED/BPELData/bpc:bpelId = '-1131285003' and InitiateMortgageRefinancingRequestCHANGED/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and InitiateMortgageRefinancingRequestCHANGED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="MortgageRefinancingRequestFormCHANGED" id="MortgageRefinancingRequestFormCHANGED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.VARIABLE.STATUS"/>
        <eventPart displayName="MortgageRefinancingRequestForm" id="MortgageRefinancingRequestForm" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='MortgageRefinancingRequestForm']/wbi:value" type="bo:MortgageRefinancingRequestForm"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = MortgageRefinancingRequestFormCHANGED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="MortgageRefinancingRequestFormCHANGED/BPELData/wbi:eventNature = 'CHANGED' and MortgageRefinancingRequestFormCHANGED/BPELData/bpc:bpelId = '921741027' and MortgageRefinancingRequestFormCHANGED/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and MortgageRefinancingRequestFormCHANGED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Create Mortgage Refinancing RequestENTRY" id="Create_Mortgage_Refinancing_RequestENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Create_Mortgage_Refinancing_RequestENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Create_Mortgage_Refinancing_RequestENTRY/BPELData/wbi:eventNature = 'ENTRY' and Create_Mortgage_Refinancing_RequestENTRY/BPELData/bpc:bpelId = '1473722523' and Create_Mortgage_Refinancing_RequestENTRY/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Create_Mortgage_Refinancing_RequestENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Create Mortgage Refinancing RequestEXIT" id="Create_Mortgage_Refinancing_RequestEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="MortgageRefinancingRequestForm" id="MortgageRefinancingRequestForm" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='MortgageRefinancingRequestForm']/wbi:value" type="bo:MortgageRefinancingRequestForm"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Create_Mortgage_Refinancing_RequestEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Create_Mortgage_Refinancing_RequestEXIT/BPELData/wbi:eventNature = 'EXIT' and Create_Mortgage_Refinancing_RequestEXIT/BPELData/bpc:bpelId = '1473722523' and Create_Mortgage_Refinancing_RequestEXIT/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Create_Mortgage_Refinancing_RequestEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Create Mortgage Refinancing RequestWI_CREATED" id="Create_Mortgage_Refinancing_RequestWI_CREATED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Create_Mortgage_Refinancing_RequestWI_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Create_Mortgage_Refinancing_RequestWI_CREATED/BPELData/wbi:eventNature = 'WI_CREATED' and Create_Mortgage_Refinancing_RequestWI_CREATED/BPELData/bpc:bpelId = '1473722523' and Create_Mortgage_Refinancing_RequestWI_CREATED/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Create_Mortgage_Refinancing_RequestWI_CREATED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Initiate Mortgage RefinancingENTRY" id="Initiate_Mortgage_RefinancingENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="InititateMortgageRefinancingRequest" id="InititateMortgageRefinancingRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='InititateMortgageRefinancingRequest']/wbi:value" type="bo1:InitiateMortgageRefinancingRequest"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Initiate_Mortgage_RefinancingENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Initiate_Mortgage_RefinancingENTRY/BPELData/wbi:eventNature = 'ENTRY' and Initiate_Mortgage_RefinancingENTRY/BPELData/bpc:bpelId = '-397221273' and Initiate_Mortgage_RefinancingENTRY/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Initiate_Mortgage_RefinancingENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Initiate Mortgage RefinancingEXIT" id="Initiate_Mortgage_RefinancingEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="InititateMortgageRefinancingResponse" id="InititateMortgageRefinancingResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='InititateMortgageRefinancingResponse']/wbi:value" type="bo1:InitiateMortgageRefinancingResponse"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Initiate_Mortgage_RefinancingEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Initiate_Mortgage_RefinancingEXIT/BPELData/wbi:eventNature = 'EXIT' and Initiate_Mortgage_RefinancingEXIT/BPELData/bpc:bpelId = '-397221273' and Initiate_Mortgage_RefinancingEXIT/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Initiate_Mortgage_RefinancingEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Collate Mortgage DetailsENTRY" id="Collate_Mortgage_DetailsENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="CollateMortgageDetailsRequest" id="CollateMortgageDetailsRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='CollateMortgageDetailsRequest']/wbi:value" type="bo2:CollateMortgageDetailsRequest"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Collate_Mortgage_DetailsENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Collate_Mortgage_DetailsENTRY/BPELData/wbi:eventNature = 'ENTRY' and Collate_Mortgage_DetailsENTRY/BPELData/bpc:bpelId = '-209881510' and Collate_Mortgage_DetailsENTRY/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Collate_Mortgage_DetailsENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Collate Mortgage DetailsEXIT" id="Collate_Mortgage_DetailsEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="CollateMortgageDetailsResponse" id="CollateMortgageDetailsResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='CollateMortgageDetailsResponse']/wbi:value" type="bo2:CollateMortgageDetailsResponse"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Collate_Mortgage_DetailsEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Collate_Mortgage_DetailsEXIT/BPELData/wbi:eventNature = 'EXIT' and Collate_Mortgage_DetailsEXIT/BPELData/bpc:bpelId = '-209881510' and Collate_Mortgage_DetailsEXIT/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Collate_Mortgage_DetailsEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Underwrite MortgageENTRY" id="Underwrite_MortgageENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="UnderwriteMortgageRequest" id="UnderwriteMortgageRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='UnderwriteMortgageRequest']/wbi:value" type="bo3:UnderwriteMortgageRequest"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Underwrite_MortgageENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Underwrite_MortgageENTRY/BPELData/wbi:eventNature = 'ENTRY' and Underwrite_MortgageENTRY/BPELData/bpc:bpelId = '1384461567' and Underwrite_MortgageENTRY/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Underwrite_MortgageENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Underwrite MortgageEXIT" id="Underwrite_MortgageEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="UnderwriteMortgageResponse" id="UnderwriteMortgageResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='UnderwriteMortgageResponse']/wbi:value" type="bo3:UnderwriteMortgageResponse"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Underwrite_MortgageEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Underwrite_MortgageEXIT/BPELData/wbi:eventNature = 'EXIT' and Underwrite_MortgageEXIT/BPELData/bpc:bpelId = '1384461567' and Underwrite_MortgageEXIT/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Underwrite_MortgageEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Mortgage Refinancing ReplyENTRY" id="Mortgage_Refinancing_ReplyENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Mortgage_Refinancing_ReplyENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Mortgage_Refinancing_ReplyENTRY/BPELData/wbi:eventNature = 'ENTRY' and Mortgage_Refinancing_ReplyENTRY/BPELData/bpc:bpelId = '1250588078' and Mortgage_Refinancing_ReplyENTRY/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Mortgage_Refinancing_ReplyENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Mortgage Refinancing ReplyEXIT" id="Mortgage_Refinancing_ReplyEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="MortgageRefinancingResponse" id="MortgageRefinancingResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='MortgageRefinancingResponse']/wbi:value" type="bo0:MortgageRefinancingResponse"/>
        <correlationPredicate expression="MortgageRefinancingMainProcess_Instance_ID = Mortgage_Refinancing_ReplyEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Mortgage_Refinancing_ReplyEXIT/BPELData/wbi:eventNature = 'EXIT' and Mortgage_Refinancing_ReplyEXIT/BPELData/bpc:bpelId = '1250588078' and Mortgage_Refinancing_ReplyEXIT/BPELData/bpc:processTemplateName = 'MortgageRefinancing' and Mortgage_Refinancing_ReplyEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 12:52:44.000'"/>
      </inboundEvent>
      <metric displayName="MortgageRefinancingMainProcess Instance ID" id="MortgageRefinancingMainProcess_Instance_ID" isPartOfKey="true" type="xsd:string">
        <map>
          <outputValue>
            <singleValue expression="MortgageRefinancingMainProcessENTRY/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="Initiate Mortgage Refinancing Status" id="Initiate_Mortgage_Refinancing_Status" isSortable="true" type="xsd:string" valueRequired="true">
      	<map>
      		<outputValue>
      			<singleValue expression="Initiate_Mortgage_RefinancingENTRY/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      	<map>
      		<outputValue>
      			<singleValue expression="Initiate_Mortgage_RefinancingEXIT/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="&quot;-&quot;"/>
      	</defaultValue>
      </metric>
      <metric displayName="Collate Mortgage Details Status" id="Collate_Mortgage_Details_Status" isSortable="true" type="xsd:string" valueRequired="true">
      	<map>
      		<outputValue>
      			<singleValue expression="Collate_Mortgage_DetailsENTRY/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      	<map>
      		<outputValue>
      			<singleValue expression="Collate_Mortgage_DetailsEXIT/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="&quot;-&quot;"/>
      	</defaultValue>
      </metric>
      <metric displayName="Underwrite Mortgage Status" id="Underwrite_Mortgage_Status" isSortable="true" type="xsd:string" valueRequired="true">
      	<map>
      		<outputValue>
      			<singleValue expression="Underwrite_MortgageENTRY/BPELData/wbi:eventNature"/>
      		</outputValue>
      	</map>
      	<map>
      		<outputValue>
      			<singleValue expression="Underwrite_MortgageEXIT/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="&quot;-&quot;"/>
      	</defaultValue>
      </metric>
      <metric displayName="Borrower Name" id="Borrower_Name" isSortable="true" type="xsd:string" valueRequired="true">
      	<map>
      		<outputValue>
      			<singleValue expression="fn:concat(MortgageRefinancingRequestFormCHANGED/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerfirstname , &quot; &quot;, MortgageRefinancingRequestFormCHANGED/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerlastname)"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="&quot;-&quot;"/>
      	</defaultValue>
      </metric>
      <metric displayName="Total Mortgage Value" id="Value_of_Mortgage" isSortable="true" type="xsd:decimal" valueRequired="true">
      	<map>
      		<outputValue>
      			<singleValue expression="Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/mortgageoutstandingamount "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="Time Filter" id="Time_Filter" type="xsd:dateTime">
      	<map>
      		<outputValue>
      			<singleValue expression="MortgageRefinancingMainProcessENTRY/predefinedData/creationTime "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="State" id="State" isSortable="true" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;TX&quot;) then (&quot;Texas&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;TN&quot;) then (&quot;Tennessee&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;MT&quot;) then (&quot;Montana&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;ND&quot;) then (&quot;North Dakota&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;MN&quot;) then (&quot;Minnesota&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;OR&quot;) then (&quot;Oregon&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;ID&quot;) then (&quot;Idaho&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;WY&quot;) then (&quot;Wyoming&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;SD&quot;) then (&quot;South Dakota&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;IA&quot;) then (&quot;Iowa&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;MO&quot;) then (&quot;Missouri&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;KS&quot;) then (&quot;Kansas&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;CO&quot;) then (&quot;Colorado&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;UT&quot;) then (&quot;Utah&quot;) else if  (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;NV&quot;) then (&quot;Nevada&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;CA&quot;) then (&quot;California&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;AZ&quot;) then (&quot;Arizona&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;NM&quot;) then (&quot;New Mexico&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;GA&quot;) then (&quot;Georgia&quot;) else if (Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/borrowerstate eq &quot;AR&quot;) then (&quot;Arkansas&quot;) else (&quot;others&quot;)"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Mortgage Status" id="Mortgage_Status" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="Mortgage_Refinancing_ReplyEXIT/MortgageRefinancingResponse/bo0:UnderwriteMortgageResponse/bo3:MortgageRefinancingStatus"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Rejected Mortgage Value" id="Rejected_Mortgage_Value" type="xsd:decimal">
      	<map>
      		<trigger ref="Underwrite_Reject_Trigger"/>
      		<outputValue>
      			<singleValue expression="Value_of_Mortgage "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="Approved Mortgage Value" id="Value_of_Approved_Mortgage" type="xsd:decimal">
      	<map>
      		<trigger ref="Underwrite_Approved_Trigger"/>
      		<outputValue>
      			<singleValue expression="Value_of_Mortgage"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="Approved Mortgage Volume" id="Approved_Mortgage_Count" type="xsd:integer">
      	<map>
      		<trigger ref="Underwrite_Approved_Trigger"/>
      		<outputValue>
      			<singleValue expression="1"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="Rejected Mortgage Volume" id="Rejected_Mortgage_Volume" type="xsd:integer">
      	<map>
      		<trigger ref="Underwrite_Reject_Trigger"/>
      		<outputValue>
      			<singleValue expression="1"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="isHAModificationOpted" id="isHAModificationOpted" type="xsd:boolean">
      	<map>
      		<outputValue>
      			<singleValue expression="Create_Mortgage_Refinancing_RequestEXIT/MortgageRefinancingRequestForm/MortgageRefinancingRequest/isHAModificationOpted eq &quot;Yes&quot;"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="false()"/>
      	</defaultValue>
      </metric>
      <metric displayName="HA Volume" id="HA_Volume" type="xsd:integer">
      	<map>
      		<trigger ref="Underwrite_Approved_Trigger"/>
      		<outputValue>
      			<singleValue expression="if(isHAModificationOpted ) then 1 else 0"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="Refinance Volume" id="Refinance_Volume" type="xsd:integer">
      	<map>
      		<trigger ref="Underwrite_Approved_Trigger"/>
      		<outputValue>
      			<singleValue expression="if(isHAModificationOpted ) then 0 else 1"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="Refinance Mortgage Value" id="Refinance_Mortgage_Value" type="xsd:decimal">
      	<map>
      		<trigger ref="Underwrite_Approved_Trigger"/>
      		<outputValue>
      			<singleValue expression="if(isHAModificationOpted ) then 0 else Value_of_Mortgage "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="HA Value" id="HA_Value" type="xsd:decimal">
      	<map>
      		<trigger ref="Underwrite_Approved_Trigger"/>
      		<outputValue>
      			<singleValue expression="if(isHAModificationOpted ) then Value_of_Mortgage else 0"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
    </monitoringContext>
    <monitoringContext displayName="CollateMortgageDetailsSubProcess" eventSequenceIDPath="fn:concat(fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventProgressCounter))), */BPELData/bpc:eventProgressCounter, ':', fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventLocalCounter))), */BPELData/bpc:eventLocalCounter)" id="CollateMortgageDetailsSubProcess">
      <inboundEvent displayName="CustomerOccupationStatusCHANGED" id="CustomerOccupationStatusCHANGED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.VARIABLE.STATUS"/>
        <eventPart displayName="CustomerOccupationStatus" id="CustomerOccupationStatus" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='CustomerOccupationStatus']/wbi:value" type="bo11:CustomerOccupationStatus"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = CustomerOccupationStatusCHANGED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="CustomerOccupationStatusCHANGED/BPELData/wbi:eventNature = 'CHANGED' and CustomerOccupationStatusCHANGED/BPELData/bpc:bpelId = '1051160958' and CustomerOccupationStatusCHANGED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and CustomerOccupationStatusCHANGED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreENTRY" id="Check_Credit_ScoreENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="requestHeader" id="requestHeader" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='requestHeader']/wbi:value" type="bo4:RequestHeader"/>
        <eventPart displayName="creditRating" id="creditRating" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='creditRating']/wbi:value" type="bo4:CustomerScore"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreENTRY/BPELData/wbi:eventNature = 'ENTRY' and Check_Credit_ScoreENTRY/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreENTRY/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreEXIT" id="Check_Credit_ScoreEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="responseHeader" id="responseHeader" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='responseHeader']/wbi:value" type="bo4:ResponseHeader"/>
        <eventPart displayName="creditRating" id="creditRating" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='creditRating']/wbi:value" type="bo4:CustomerScore"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreEXIT/BPELData/wbi:eventNature = 'EXIT' and Check_Credit_ScoreEXIT/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreEXIT/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreEXPIRED" id="Check_Credit_ScoreEXPIRED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreEXPIRED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreEXPIRED/BPELData/wbi:eventNature = 'EXPIRED' and Check_Credit_ScoreEXPIRED/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreEXPIRED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreEXPIRED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreFAILED" id="Check_Credit_ScoreFAILED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.FAILURE"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreFAILED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreFAILED/BPELData/wbi:eventNature = 'FAILED' and Check_Credit_ScoreFAILED/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreFAILED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreFAILED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreFCOMPLETED" id="Check_Credit_ScoreFCOMPLETED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreFCOMPLETED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreFCOMPLETED/BPELData/wbi:eventNature = 'FCOMPLETED' and Check_Credit_ScoreFCOMPLETED/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreFCOMPLETED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreFCOMPLETED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreFRETRIED" id="Check_Credit_ScoreFRETRIED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreFRETRIED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreFRETRIED/BPELData/wbi:eventNature = 'FRETRIED' and Check_Credit_ScoreFRETRIED/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreFRETRIED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreFRETRIED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreSKIPPED" id="Check_Credit_ScoreSKIPPED" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreSKIPPED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreSKIPPED/BPELData/wbi:eventNature = 'SKIPPED' and Check_Credit_ScoreSKIPPED/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreSKIPPED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreSKIPPED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreSKIPPED_ON_EXIT_CONDITION_TRUE" id="Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.SKIP_ON_EXIT_CONDITION_TRUE"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/wbi:eventNature = 'SKIPPED_ON_EXIT_CONDITION_TRUE' and Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreSTOPPED" id="Check_Credit_ScoreSTOPPED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreSTOPPED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreSTOPPED/BPELData/wbi:eventNature = 'STOPPED' and Check_Credit_ScoreSTOPPED/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreSTOPPED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreSTOPPED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Credit ScoreTERMINATED" id="Check_Credit_ScoreTERMINATED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Check_Credit_ScoreTERMINATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Credit_ScoreTERMINATED/BPELData/wbi:eventNature = 'TERMINATED' and Check_Credit_ScoreTERMINATED/BPELData/bpc:bpelId = '2090294313' and Check_Credit_ScoreTERMINATED/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Check_Credit_ScoreTERMINATED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Verify Occupation StatusENTRY" id="Verify_Occupation_StatusENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="VerifyOccupationStatusRequest" id="VerifyOccupationStatusRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='VerifyOccupationStatusRequest']/wbi:value" type="bo8:VerifyOccupationStatusRequest"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Verify_Occupation_StatusENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Verify_Occupation_StatusENTRY/BPELData/wbi:eventNature = 'ENTRY' and Verify_Occupation_StatusENTRY/BPELData/bpc:bpelId = '-908755625' and Verify_Occupation_StatusENTRY/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Verify_Occupation_StatusENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Verify Occupation StatusEXIT" id="Verify_Occupation_StatusEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="VerifyOccupationStatusResponse" id="VerifyOccupationStatusResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='VerifyOccupationStatusResponse']/wbi:value" type="bo8:VerifyOccupationStatusResponse"/>
        <correlationPredicate expression="CollateMortgageDetailsSubProcess_Instance_ID = Verify_Occupation_StatusEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Verify_Occupation_StatusEXIT/BPELData/wbi:eventNature = 'EXIT' and Verify_Occupation_StatusEXIT/BPELData/bpc:bpelId = '-908755625' and Verify_Occupation_StatusEXIT/BPELData/bpc:processTemplateName = 'CollateMortgageDetails' and Verify_Occupation_StatusEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:05:04.000'"/>
      </inboundEvent>
      <metric displayName="CollateMortgageDetailsSubProcess Instance ID" id="CollateMortgageDetailsSubProcess_Instance_ID" isPartOfKey="true" type="xsd:string">
        <map>
          <outputValue>
            <singleValue expression="Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Verify_Occupation_StatusENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Check_Credit_ScoreSKIPPED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
          </outputValue>
        </map>
        <map>
          <outputValue>
            <singleValue expression="Check_Credit_ScoreENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
          </outputValue>
        </map>
      </metric>
      <stopwatch displayName="Check Credit Score Working Duration" id="Check_Credit_Score_Working_Duration" isAccumulated="false" type="xsd:duration">
        <startedWhen ref="Check_Credit_ScoreENTRY"/>
        <stoppedWhen ref="Check_Credit_ScoreEXIT"/>
        <stoppedWhen ref="Check_Credit_ScoreEXPIRED"/>
        <stoppedWhen ref="Check_Credit_ScoreFAILED"/>
        <stoppedWhen ref="Check_Credit_ScoreFCOMPLETED"/>
        <startedWhen ref="Check_Credit_ScoreFRETRIED"/>
        <startedWhen ref="Check_Credit_ScoreSKIPPED"/>
        <startedWhen ref="Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE"/>
        <stoppedWhen ref="Check_Credit_ScoreSTOPPED"/>
        <stoppedWhen ref="Check_Credit_ScoreTERMINATED"/>
      </stopwatch>
      <stopwatch displayName="Check Credit Score Working Duration for KPI" id="Check_Credit_Score_Working_Duration_for_KPI" isAccumulated="false" type="xsd:duration">
        <startedWhen ref="Check_Credit_ScoreENTRY"/>
        <stoppedWhen ref="Check_Credit_ScoreEXIT"/>
        <stoppedWhen ref="Check_Credit_ScoreEXPIRED"/>
        <stoppedWhen ref="Check_Credit_ScoreFAILED"/>
        <stoppedWhen ref="Check_Credit_ScoreFCOMPLETED"/>
        <startedWhen ref="Check_Credit_ScoreFRETRIED"/>
        <startedWhen ref="Check_Credit_ScoreSKIPPED"/>
        <startedWhen ref="Check_Credit_ScoreSKIPPED_ON_EXIT_CONDITION_TRUE"/>
        <stoppedWhen ref="Check_Credit_ScoreSTOPPED"/>
        <stoppedWhen ref="Check_Credit_ScoreTERMINATED"/>
      </stopwatch>
      <stopwatch displayName="Verify Occupation Status Working Duration" id="Verify_Occupation_Status_Working_Duration" isAccumulated="false" type="xsd:duration">
        <startedWhen ref="Verify_Occupation_StatusENTRY"/>
        <stoppedWhen ref="Verify_Occupation_StatusEXIT"/>
      </stopwatch>
      <stopwatch displayName="Verify Occupation Status Working Duration for KPI" id="Verify_Occupation_Status_Working_Duration_for_KPI" isAccumulated="false" type="xsd:duration">
        <startedWhen ref="Verify_Occupation_StatusENTRY"/>
        <stoppedWhen ref="Verify_Occupation_StatusEXIT"/>
      </stopwatch>
    </monitoringContext>
    <monitoringContext displayName="UnderwriteMortgageSubProcess" eventSequenceIDPath="fn:concat(fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventProgressCounter))), */BPELData/bpc:eventProgressCounter, ':', fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventLocalCounter))), */BPELData/bpc:eventLocalCounter)" id="UnderwriteMortgageSubProcess">
      <trigger displayName="Mortgage Approval Trigger" id="Mortgage_Approval_Trigger" isRepeatable="true">
      	<onEvent ref="Update_Status_To_ApprovedENTRY"/>
      </trigger>
      <trigger displayName="Mortgage Reject Trigger" id="Mortgage_Reject_Trigger" isRepeatable="true">
      	<onEvent ref="Update_Status_To_RejectedENTRY"/>
      </trigger>
      <trigger displayName="Total Trigger" id="Total_Trigger" isRepeatable="true">
      	<onEvent ref="Approve_MortgageENTRY"/>
      </trigger>
      <inboundEvent displayName="UnderwriteMortgageSubProcessENTRY" id="UnderwriteMortgageSubProcessENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.START"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = UnderwriteMortgageSubProcessENTRY/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="UnderwriteMortgageSubProcessENTRY/BPELData/wbi:eventNature = 'ENTRY' and UnderwriteMortgageSubProcessENTRY/BPELData/bpc:BPCEventCode = '21000' and UnderwriteMortgageSubProcessENTRY/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and UnderwriteMortgageSubProcessENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="UnderwriteMortgageSubProcessEXIT" id="UnderwriteMortgageSubProcessEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.STATUS"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = UnderwriteMortgageSubProcessEXIT/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="UnderwriteMortgageSubProcessEXIT/BPELData/wbi:eventNature = 'EXIT' and UnderwriteMortgageSubProcessEXIT/BPELData/bpc:BPCEventCode = '21004' and UnderwriteMortgageSubProcessEXIT/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and UnderwriteMortgageSubProcessEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="SendCommunicationRequestCHANGED" id="SendCommunicationRequestCHANGED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.VARIABLE.STATUS"/>
        <eventPart displayName="SendCommunicationRequest" id="SendCommunicationRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='SendCommunicationRequest']/wbi:value" type="bo4:SendCommunicationRequest"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = SendCommunicationRequestCHANGED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
        <filter expression="SendCommunicationRequestCHANGED/BPELData/wbi:eventNature = 'CHANGED' and SendCommunicationRequestCHANGED/BPELData/bpc:bpelId = '475153497' and SendCommunicationRequestCHANGED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and SendCommunicationRequestCHANGED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageENTRY" id="Approve_MortgageENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="ApproveMortgageRequest" id="ApproveMortgageRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='ApproveMortgageRequest']/wbi:value" type="bo13:ApproveMortgageRequest"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageENTRY/BPELData/wbi:eventNature = 'ENTRY' and Approve_MortgageENTRY/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageENTRY/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageEXIT" id="Approve_MortgageEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="ApproveMortgageResponse" id="ApproveMortgageResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='ApproveMortgageResponse']/wbi:value" type="bo13:ApproveMortgageResponse"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageEXIT/BPELData/wbi:eventNature = 'EXIT' and Approve_MortgageEXIT/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageEXIT/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageEXPIRED" id="Approve_MortgageEXPIRED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageEXPIRED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageEXPIRED/BPELData/wbi:eventNature = 'EXPIRED' and Approve_MortgageEXPIRED/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageEXPIRED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageEXPIRED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageFAILED" id="Approve_MortgageFAILED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.FAILURE"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageFAILED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageFAILED/BPELData/wbi:eventNature = 'FAILED' and Approve_MortgageFAILED/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageFAILED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageFAILED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageFCOMPLETED" id="Approve_MortgageFCOMPLETED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageFCOMPLETED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageFCOMPLETED/BPELData/wbi:eventNature = 'FCOMPLETED' and Approve_MortgageFCOMPLETED/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageFCOMPLETED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageFCOMPLETED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageFRETRIED" id="Approve_MortgageFRETRIED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageFRETRIED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageFRETRIED/BPELData/wbi:eventNature = 'FRETRIED' and Approve_MortgageFRETRIED/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageFRETRIED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageFRETRIED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageSKIPPED" id="Approve_MortgageSKIPPED" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageSKIPPED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageSKIPPED/BPELData/wbi:eventNature = 'SKIPPED' and Approve_MortgageSKIPPED/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageSKIPPED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageSKIPPED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageSKIPPED_ON_EXIT_CONDITION_TRUE" id="Approve_MortgageSKIPPED_ON_EXIT_CONDITION_TRUE" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.SKIP_ON_EXIT_CONDITION_TRUE"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageSKIPPED_ON_EXIT_CONDITION_TRUE/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/wbi:eventNature = 'SKIPPED_ON_EXIT_CONDITION_TRUE' and Approve_MortgageSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageSKIPPED_ON_EXIT_CONDITION_TRUE/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageSTOPPED" id="Approve_MortgageSTOPPED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageSTOPPED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageSTOPPED/BPELData/wbi:eventNature = 'STOPPED' and Approve_MortgageSTOPPED/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageSTOPPED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageSTOPPED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Approve MortgageTERMINATED" id="Approve_MortgageTERMINATED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Approve_MortgageTERMINATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Approve_MortgageTERMINATED/BPELData/wbi:eventNature = 'TERMINATED' and Approve_MortgageTERMINATED/BPELData/bpc:bpelId = '-419775272' and Approve_MortgageTERMINATED/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Approve_MortgageTERMINATED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Update Status To ApprovedENTRY" id="Update_Status_To_ApprovedENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="requestHeader" id="requestHeader" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='requestHeader']/wbi:value" type="bo4:RequestHeader"/>
        <eventPart displayName="date" id="date" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='date']/wbi:value" type="xs:date"/>
        <eventPart displayName="details" id="details" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='details']/wbi:value" type="xs:string"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Update_Status_To_ApprovedENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Update_Status_To_ApprovedENTRY/BPELData/wbi:eventNature = 'ENTRY' and Update_Status_To_ApprovedENTRY/BPELData/bpc:bpelId = '1571129808' and Update_Status_To_ApprovedENTRY/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Update_Status_To_ApprovedENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Update Status To ApprovedEXIT" id="Update_Status_To_ApprovedEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="responseHeader" id="responseHeader" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='responseHeader']/wbi:value" type="bo4:ResponseHeader"/>
        <eventPart displayName="date" id="date" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='date']/wbi:value" type="xs:date"/>
        <eventPart displayName="details" id="details" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='details']/wbi:value" type="xs:string"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Update_Status_To_ApprovedEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Update_Status_To_ApprovedEXIT/BPELData/wbi:eventNature = 'EXIT' and Update_Status_To_ApprovedEXIT/BPELData/bpc:bpelId = '1571129808' and Update_Status_To_ApprovedEXIT/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Update_Status_To_ApprovedEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Update Status To RejectedENTRY" id="Update_Status_To_RejectedENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="requestHeader" id="requestHeader" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='requestHeader']/wbi:value" type="bo4:RequestHeader"/>
        <eventPart displayName="date" id="date" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='date']/wbi:value" type="xs:date"/>
        <eventPart displayName="details" id="details" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='details']/wbi:value" type="xs:string"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Update_Status_To_RejectedENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Update_Status_To_RejectedENTRY/BPELData/wbi:eventNature = 'ENTRY' and Update_Status_To_RejectedENTRY/BPELData/bpc:bpelId = '-1952286862' and Update_Status_To_RejectedENTRY/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Update_Status_To_RejectedENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Update Status To RejectedEXIT" id="Update_Status_To_RejectedEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="responseHeader" id="responseHeader" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='responseHeader']/wbi:value" type="bo4:ResponseHeader"/>
        <eventPart displayName="date" id="date" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='date']/wbi:value" type="xs:date"/>
        <eventPart displayName="details" id="details" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='details']/wbi:value" type="xs:string"/>
        <correlationPredicate expression="UnderwriteMortgageSubProcess_Instance_ID = Update_Status_To_RejectedEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Update_Status_To_RejectedEXIT/BPELData/wbi:eventNature = 'EXIT' and Update_Status_To_RejectedEXIT/BPELData/bpc:bpelId = '-1952286862' and Update_Status_To_RejectedEXIT/BPELData/bpc:processTemplateName = 'UnderwriteMortgage' and Update_Status_To_RejectedEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:06:47.000'"/>
      </inboundEvent>
      <outboundEvent displayName="Mortgage_Approved" extensionName="NotificationEvent" id="Mortgage_Approved" rootElement="cbe:CommonBaseEvent">
      	<map>
      		<trigger ref="Mortgage_Approval_Trigger"/>
      		<outputValue>
      			<assignments>
      				<assignment leftValue="Mortgage_Approved/extendedData/BusinessSituationName" rightValue="'Mortgage_Approved'"/>
      				<assignment leftValue="Mortgage_Approved/extendedData/request_number" rightValue="Request_Number "/>
      				<assignment leftValue="Mortgage_Approved/extendedData/Mortgage_Type" rightValue="Mortgage_Type"/>
      				<assignment leftValue="Mortgage_Approved/extendedData/Approved_Mortgage_Amount" rightValue="Approved_Mortgage_Amount"/>
      				<assignment leftValue="Mortgage_Approved/extendedData/Monthly_Payment" rightValue="Monthly_Payment"/>
      				<assignment leftValue="Mortgage_Approved/extendedData/Period" rightValue="Period"/>
      				<assignment leftValue="Mortgage_Approved/extendedData/Rate_of_Interest" rightValue="Rate_of_Interest"/>
      			</assignments>
      		</outputValue>
      	</map>
      </outboundEvent>
      <outboundEvent displayName="Mortgage_Rejected" extensionName="NotificationEvent" id="Mortgage_Rejected" rootElement="cbe:CommonBaseEvent">
      	<map>
      		<trigger ref="Mortgage_Reject_Trigger"/>
      		<outputValue>
      			<assignments>
      				<assignment leftValue="Mortgage_Rejected/extendedData/BusinessSituationName" rightValue="'Mortgage_Rejected'"/>
      				<assignment leftValue="Mortgage_Rejected/extendedData/request_number" rightValue="Request_Number "/>
      			</assignments>
      		</outputValue>
      	</map>
      </outboundEvent>
      <metric displayName="UnderwriteMortgageSubProcess Instance ID" id="UnderwriteMortgageSubProcess_Instance_ID" isPartOfKey="true" type="xsd:string">
        <map>
          <outputValue>
            <singleValue expression="UnderwriteMortgageSubProcessENTRY/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
          </outputValue>
        </map>
      </metric>
      <metric displayName="Approval Status" id="Approval_Status" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="Approve_MortgageEXIT/ApproveMortgageResponse/bo13:ApproveMortgageResponse/MortgageRefinancingUnderwriting/approveorreject"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Reject Time" id="Reject_Time" type="xsd:duration">
      	<map>
      		<trigger ref="Mortgage_Reject_Trigger"/>
      		<outputValue>
      			<singleValue expression="Approve_Mortgage_Working_Duration "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Approve Time" id="Approve_Time" type="xsd:duration">
      	<map>
      		<trigger ref="Mortgage_Approval_Trigger"/>
      		<outputValue>
      			<singleValue expression="Approve_Mortgage_Working_Duration "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Request Number" id="Request_Number" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="Approve_MortgageEXIT/ApproveMortgageResponse/bo13:ApproveMortgageResponse/MortgageRefinancingUnderwritingInformation/mortgagerefinancingid "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Mortgage Type" id="Mortgage_Type" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="Approve_MortgageEXIT/ApproveMortgageResponse/bo13:ApproveMortgageResponse/MortgageRefinancingUnderwriting/mortgagetype"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Approved Mortgage Amount" id="Approved_Mortgage_Amount" type="xsd:decimal">
      	<map>
      		<outputValue>
      			<singleValue expression="Approve_MortgageEXIT/ApproveMortgageResponse/bo13:ApproveMortgageResponse/MortgageRefinancingUnderwriting/mortgageamount "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Monthly Payment" id="Monthly_Payment" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="Approve_MortgageEXIT/ApproveMortgageResponse/bo13:ApproveMortgageResponse/MortgageRefinancingUnderwriting/monthlypayments"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Period" id="Period" type="xsd:integer">
      	<map>
      		<outputValue>
      			<singleValue expression="Approve_MortgageEXIT/ApproveMortgageResponse/bo13:ApproveMortgageResponse/MortgageRefinancingUnderwriting/loanperiod "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <metric displayName="Rate of Interest" id="Rate_of_Interest" type="xsd:decimal">
      	<map>
      		<outputValue>
      			<singleValue expression="Approve_MortgageEXIT/ApproveMortgageResponse/bo13:ApproveMortgageResponse/MortgageRefinancingUnderwriting/interestrate"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="0"/>
      	</defaultValue>
      </metric>
      <stopwatch displayName="Approve Mortgage Working Duration" id="Approve_Mortgage_Working_Duration" isAccumulated="false" type="xsd:duration">
        <startedWhen ref="Approve_MortgageENTRY"/>
        <stoppedWhen ref="Approve_MortgageEXIT"/>
      </stopwatch>
      <stopwatch displayName="Approve Mortgage Working Duration for KPI" id="Approve_Mortgage_Working_Duration_for_KPI" isAccumulated="false" type="xsd:duration">
        <startedWhen ref="Approve_MortgageENTRY"/>
        <stoppedWhen ref="Approve_MortgageEXIT"/>
        <stoppedWhen ref="Approve_MortgageEXPIRED"/>
        <stoppedWhen ref="Approve_MortgageFAILED"/>
        <stoppedWhen ref="Approve_MortgageFCOMPLETED"/>
        <startedWhen ref="Approve_MortgageFRETRIED"/>
        <startedWhen ref="Approve_MortgageSKIPPED"/>
        <startedWhen ref="Approve_MortgageSKIPPED_ON_EXIT_CONDITION_TRUE"/>
        <stoppedWhen ref="Approve_MortgageSTOPPED"/>
        <stoppedWhen ref="Approve_MortgageTERMINATED"/>
      </stopwatch>
    </monitoringContext>
    <monitoringContext displayName="InitiateMortgageRefinancingSubProcess" eventSequenceIDPath="fn:concat(fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventProgressCounter))), */BPELData/bpc:eventProgressCounter, ':', fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventLocalCounter))), */BPELData/bpc:eventLocalCounter)" id="InitiateMortgageRefinancingSubProcess">
      <inboundEvent displayName="Check Document ListEXIT" id="Check_Document_ListEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="DocumentCheckListForm" id="DocumentCheckListForm" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='DocumentCheckListForm']/wbi:value" type="bo16:DocumentCheckListForm"/>
        <correlationPredicate expression="InitiateMortgageRefinancingSubProcess_Instance_ID = Check_Document_ListEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Document_ListEXIT/BPELData/wbi:eventNature = 'EXIT' and Check_Document_ListEXIT/BPELData/bpc:bpelId = '1038292928' and Check_Document_ListEXIT/BPELData/bpc:processTemplateName = 'InitiateMortgageRefinancing' and Check_Document_ListEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:34:37.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Document ListWI_CREATED" id="Check_Document_ListWI_CREATED" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"/>
        <correlationPredicate expression="InitiateMortgageRefinancingSubProcess_Instance_ID = Check_Document_ListWI_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Document_ListWI_CREATED/BPELData/wbi:eventNature = 'WI_CREATED' and Check_Document_ListWI_CREATED/BPELData/bpc:bpelId = '1038292928' and Check_Document_ListWI_CREATED/BPELData/bpc:processTemplateName = 'InitiateMortgageRefinancing' and Check_Document_ListWI_CREATED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:34:37.000'"/>
      </inboundEvent>
      <inboundEvent displayName="Check Document ListWI_DELETED" id="Check_Document_ListWI_DELETED" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"/>
        <correlationPredicate expression="InitiateMortgageRefinancingSubProcess_Instance_ID = Check_Document_ListWI_DELETED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
        <filter expression="Check_Document_ListWI_DELETED/BPELData/wbi:eventNature = 'WI_DELETED' and Check_Document_ListWI_DELETED/BPELData/bpc:bpelId = '1038292928' and Check_Document_ListWI_DELETED/BPELData/bpc:processTemplateName = 'InitiateMortgageRefinancing' and Check_Document_ListWI_DELETED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-10-01 13:34:37.000'"/>
      </inboundEvent>
      <metric displayName="InitiateMortgageRefinancingSubProcess Instance ID" id="InitiateMortgageRefinancingSubProcess_Instance_ID" isPartOfKey="true" type="xsd:string">
        <map>
          <outputValue>
            <singleValue expression="Check_Document_ListWI_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
          </outputValue>
        </map>
      </metric>
    </monitoringContext>
  </monitorDetailsModel>
  <kpiModel displayName="MortgageRefinancingMM" id="KM">
    <kpiContext displayName="Template KPI Context" id="Template_KPI_Context">
      <kpi displayName="Verify Occupation Status Average Working Duration" id="Verify_Occupation_Status_Average_Working_Duration" rangeType="actualValue" type="xsd:duration">
        <aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
          <monitoringContext ref="CollateMortgageDetailsSubProcess"/>
          <metric ref="Verify_Occupation_Status_Working_Duration_for_KPI"/>
        </aggregatedDefinition>
      </kpi>
      <kpi displayName="Total Value of Mortgage" id="Total_Value_of_Mortgage_Amount" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Mortgage"/>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
      <kpi displayName="Total Value of Mortgage of Montana" id="Total_Value_of_Mortgage_of_Montana" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Montana&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
     <kpi displayName="Total Value of Mortgage of North Dakota" id="Total_Value_of_Mortgage_of_North_Dakota" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;North Dakota&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Minnesota" id="Total_Value_of_Mortgage_of_Minnesota" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Minnesota&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Oregon" id="Total_Value_of_Mortgage_of_Oregon" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Oregon&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
      <kpi displayName="Total Value of Mortgage of Oklahoma" id="Total_Value_of_Mortgage_of_Oklahoma" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Oklahoma&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Idaho" id="Total_Value_of_Mortgage_of_Idaho" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Idaho&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Wyoming" id="Total_Value_of_Mortgage_of_Wyoming" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Wyoming&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of South Dakota" id="Total_Value_of_Mortgage_of_South_Dakota" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;South Dakota&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Iowa" id="Total_Value_of_Mortgage_of_Iowa" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Iowa&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Missouri" id="Total_Value_of_Mortgage_of_Missouri" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Missouri&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Kansas" id="Total_Value_of_Mortgage_of_Kansas" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Kansas&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Colorado" id="Total_Value_of_Mortgage_of_Colorado" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Colorado&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Utah" id="Total_Value_of_Mortgage_of_Utah" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Utah&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Nevada" id="Total_Value_of_Mortgage_of_Nevada" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Nevada&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of California" id="Total_Value_of_Mortgage_of_California" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;California&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Arizona" id="Total_Value_of_Mortgage_of_Arizona" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Arizona&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of New Mexico" id="Total_Value_of_Mortgage_of_New_Mexico" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;New Mexico&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Georgia" id="Total_Value_of_Mortgage_of_Georgia" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Georgia&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
            <kpi displayName="Total Value of Mortgage of Arkansas" id="Total_Value_of_Mortgage_of_Arkansas" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Arkansas&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
       <kpi displayName="Total Value of Mortgage of Texas" id="Total_Value_of_Mortgage_of_Texas" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Texas&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
      <kpi displayName="Total Value of Mortgage of Tennessee" id="Total_Value_of_Mortgage_of_Tennessee" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Tennessee&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>
      <kpi displayName="Total_Mortgage_Processed" id="Total_Mortgage_Processed" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
      		<monitoringContext ref="UnderwriteMortgageSubProcess"/>
      		<metric ref="Approval_Status"/>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="30"/>
      </kpi>
      <kpi displayName="Total Volume of Mortgage" id="Total_Volume_of_Mortgage" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Montana" id="Total_Volume_of_Mortgage_of_Montana" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Montana&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	
	      <kpi displayName="Total Volume of Mortgage of North Dakota" id="Total_Volume_of_Mortgage_of_North_Dakota" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;North Dakota&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	
	      <kpi displayName="Total Volume of Mortgage of Minnesota" id="Total_Volume_of_Mortgage_of_Minnesota" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Minnesota&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Oregon" id="Total_Volume_of_Mortgage_of_Oregon" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Oregon&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
      <kpi displayName="Total Volume of Mortgage of Oklahoma" id="Total_Volume_of_Mortgage_of_Oklahoma" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Oklahoma&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Idaho" id="Total_Volume_of_Mortgage_of_Idaho" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Idaho&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Wyoming" id="Total_Volume_of_Mortgage_of_Wyoming" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Wyoming&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of South Dakota" id="Total_Volume_of_Mortgage_of_South_Dakota" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;South Dakota&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Iowa" id="Total_Volume_of_Mortgage_of_Iowa" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Iowa&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Missouri" id="Total_Volume_of_Mortgage_of_Missouri" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Missouri&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Kansas" id="Total_Volume_of_Mortgage_of_Kansas" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Kansas&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Colorado" id="Total_Volume_of_Mortgage_of_Colorado" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Colorado&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Arizona" id="Total_Volume_of_Mortgage_of_Arizona" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Arizona&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Utah" id="Total_Volume_of_Mortgage_of_Utah" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Utah&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Nevada" id="Total_Volume_of_Mortgage_of_Nevada" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Nevada&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of California" id="Total_Volume_of_Mortgage_of_California" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;California&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of New Mexico" id="Total_Volume_of_Mortgage_of_New_Mexico" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;New Mexico&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
       <kpi displayName="Total Volume of Mortgage of Nebraska" id="Total_Volume_of_Mortgage_of_Nebraska" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Nebraska&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Georgia" id="Total_Volume_of_Mortgage_of_Georgia" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Georgia&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
	      <kpi displayName="Total Volume of Mortgage of Arkansas" id="Total_Volume_of_Mortgage_of_Arkansas" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Arkansas&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
       <kpi displayName="Total Volume of Mortgage of Texas" id="Total_Volume_of_Mortgage_of_Texas" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Texas&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
       <kpi displayName="Total Volume of Mortgage of Tennessee" id="Total_Volume_of_Mortgage_of_Tennessee" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Approved_Mortgage_Count"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Tennessee&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100"/>
      </kpi>
		<kpi displayName="Total Value of Mortgage of Nebraska" id="Total_Value_of_Mortgage_of_Nebraska" rangeType="actualValue" type="xsd:decimal">
      	<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
      		<monitoringContext ref="MortgageRefinancingMainProcess"/>
      		<metric ref="Value_of_Approved_Mortgage"/>
      		<metricFilter operator="equals" ref="State">
      			<value expression="&quot;Nebraska&quot;"/>
      		</metricFilter>
      		<dateTimeMetricFilter ref="Time_Filter">
      			<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
      		</dateTimeMetricFilter>
      	</aggregatedDefinition>
      	<target displayName="Target" id="Target" value="100000"/>
      </kpi>

    </kpiContext>
  </kpiModel>
  <dimensionalModel displayName="MortgageRefinancing Dimensional Model" id="DMM">
  	<cube displayName="Mortgage Refinancing Cube" id="Mortgage_Refinancing_Cube" monitoringContext="UnderwriteMortgageSubProcess">
  		<measure aggregationType="avg" displayName="Average Turnaround Time for Reject" id="Average_Turnaround_Time_for_Reject" source="/MortgageRefinancingMM/MDM/UnderwriteMortgageSubProcess/Reject_Time"/>
  		<measure aggregationType="avg" displayName="Average Turnaround Time for Approval" id="Average_Turnaround_Time_for_Approval" source="/MortgageRefinancingMM/MDM/UnderwriteMortgageSubProcess/Approve_Time"/>
  	</cube>
  	<cube displayName="MortgageRefincincing Value Cube" id="MortgageRefincincing_Value_Cube" monitoringContext="MortgageRefinancingMainProcess">
  		<measure aggregationType="sum" displayName="Total Mortgage Value" id="Total_Mortgage_Value" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Value_of_Mortgage"/>
  		<measure aggregationType="sum" displayName="Rejected Mortgage Value" id="Rejected_Mortgage_Value" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Rejected_Mortgage_Value"/>
  		<measure aggregationType="sum" displayName="Approved Mortgage Value" id="Approved_Mortgage_Value" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Value_of_Approved_Mortgage"/>
  		<measure aggregationType="sum" displayName="Approved Mortgage Volume" id="Approved_Mortgage_Volume" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Approved_Mortgage_Count"/>
  		<measure aggregationType="sum" displayName="Rejected Mortgage Volume" id="Rejected_Mortgage_Volume" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Rejected_Mortgage_Volume"/>
  		<measure aggregationType="count" displayName="Total Mortgage Volume" id="Total_Mortgage_Volume" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Value_of_Mortgage"/>
  		<measure aggregationType="sum" displayName="Total HA Volume" id="HA_Volume" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/HA_Volume"/>
  		<measure aggregationType="sum" displayName="Total HA Value" id="HA_Value" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/HA_Value"/>
  		<measure aggregationType="sum" displayName="Total Refinance Mortgage Value" id="Refinance_Mortgage_Value" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Refinance_Mortgage_Value"/>
  		<measure aggregationType="sum" displayName="Total Refinance Mortgage Volume" id="Refinance_Mortgage_Volume" source="/MortgageRefinancingMM/MDM/MortgageRefinancingMainProcess/Refinance_Volume"/>
  	</cube>
  </dimensionalModel>
  <visualModel id="VM">
  	<visualization context="MDM/MortgageRefinancingMainProcess">
  		<shapeSets>
  			<shapeSet displayName="Connection_2_Assign_Input_for_Initiate_Mortgage_Refinancing_to_Initiate_Mortgage_Refinancing" id="Connection_2_Assign_Input_for_Initiate_Mortgage_Refinancing_to_Initiate_Mortgage_Refinancing">
  				<shapes>Connection_2_Assign_Input_for_Initiate_Mortgage_Refinancing_to_Initiate_Mortgage_Refinancing</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_Mortgage_Refinancing_to_Assign_Input_for_Initiate_Mortgage_Refinancing" id="Connection_Mortgage_Refinancing_to_Assign_Input_for_Initiate_Mortgage_Refinancing">
  				<shapes>Connection_Mortgage_Refinancing_to_Assign_Input_for_Initiate_Mortgage_Refinancing</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_4_Map_Input_for_Collate_Mortgage_Details_to_Collate_Mortgage_Details" id="Connection_4_Map_Input_for_Collate_Mortgage_Details_to_Collate_Mortgage_Details">
  				<shapes>Connection_4_Map_Input_for_Collate_Mortgage_Details_to_Collate_Mortgage_Details</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_3_Initiate_Mortgage_Refinancing_to_Map_Input_for_Collate_Mortgage_Details" id="Connection_3_Initiate_Mortgage_Refinancing_to_Map_Input_for_Collate_Mortgage_Details">
  				<shapes>Connection_3_Initiate_Mortgage_Refinancing_to_Map_Input_for_Collate_Mortgage_Details</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_6_Assign_Input_for_Underwrite_Mortgage_to_Underwrite_Mortgage" id="Connection_6_Assign_Input_for_Underwrite_Mortgage_to_Underwrite_Mortgage">
  				<shapes>Connection_6_Assign_Input_for_Underwrite_Mortgage_to_Underwrite_Mortgage</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_5_Collate_Mortgage_Details_to_Assign_Input_for_Underwrite_Mortgage" id="Connection_5_Collate_Mortgage_Details_to_Assign_Input_for_Underwrite_Mortgage">
  				<shapes>Connection_5_Collate_Mortgage_Details_to_Assign_Input_for_Underwrite_Mortgage</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_8_Map_Mortgage_Refinancing_Process_Response_to_Mortgage_Refinancing" id="Connection_8_Map_Mortgage_Refinancing_Process_Response_to_Mortgage_Refinancing">
  				<shapes>Connection_8_Map_Mortgage_Refinancing_Process_Response_to_Mortgage_Refinancing</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_7_Underwrite_Mortgage_to_Map_Mortgage_Refinancing_Process_Response" id="Connection_7_Underwrite_Mortgage_to_Map_Mortgage_Refinancing_Process_Response">
  				<shapes>Connection_7_Underwrite_Mortgage_to_Map_Mortgage_Refinancing_Process_Response</shapes>
  			</shapeSet>
  			<shapeSet displayName="Underwrite_Mortgage_bottom_label" id="Underwrite_Mortgage_bottom_label">
  				<shapes>Underwrite_Mortgage_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Underwrite_Mortgage_top_label" id="Underwrite_Mortgage_top_label">
  				<shapes>Underwrite_Mortgage_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Collate_Mortgage_Details_bottom_label" id="Collate_Mortgage_Details_bottom_label">
  				<shapes>Collate_Mortgage_Details_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Collate_Mortgage_Details_top_label" id="Collate_Mortgage_Details_top_label">
  				<shapes>Collate_Mortgage_Details_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Initiate_Mortgage_Refinancing_bottom_label" id="Initiate_Mortgage_Refinancing_bottom_label">
  				<shapes>Initiate_Mortgage_Refinancing_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Initiate_Mortgage_Refinancing_top_label" id="Initiate_Mortgage_Refinancing_top_label">
  				<shapes>Initiate_Mortgage_Refinancing_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Map_Mortgage_Refinancing_Process_Response_bottom_label" id="Map_Mortgage_Refinancing_Process_Response_bottom_label">
  				<shapes>Map_Mortgage_Refinancing_Process_Response_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Map_Mortgage_Refinancing_Process_Response_top_label" id="Map_Mortgage_Refinancing_Process_Response_top_label">
  				<shapes>Map_Mortgage_Refinancing_Process_Response_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Assign_Input_for_Underwrite_Mortgage_bottom_label" id="Assign_Input_for_Underwrite_Mortgage_bottom_label">
  				<shapes>Assign_Input_for_Underwrite_Mortgage_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Assign_Input_for_Underwrite_Mortgage_top_label" id="Assign_Input_for_Underwrite_Mortgage_top_label">
  				<shapes>Assign_Input_for_Underwrite_Mortgage_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Map_Input_for_Collate_Mortgage_Details_bottom_label" id="Map_Input_for_Collate_Mortgage_Details_bottom_label">
  				<shapes>Map_Input_for_Collate_Mortgage_Details_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Map_Input_for_Collate_Mortgage_Details_top_label" id="Map_Input_for_Collate_Mortgage_Details_top_label">
  				<shapes>Map_Input_for_Collate_Mortgage_Details_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Assign_Input_for_Initiate_Mortgage_Refinancing_bottom_label" id="Assign_Input_for_Initiate_Mortgage_Refinancing_bottom_label">
  				<shapes>Assign_Input_for_Initiate_Mortgage_Refinancing_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Assign_Input_for_Initiate_Mortgage_Refinancing_top_label" id="Assign_Input_for_Initiate_Mortgage_Refinancing_top_label">
  				<shapes>Assign_Input_for_Initiate_Mortgage_Refinancing_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Assign_Input_for_Initiate_Mortgage_Refinancing" id="Assign_Input_for_Initiate_Mortgage_Refinancing">
  				<shapes>Assign_Input_for_Initiate_Mortgage_Refinancing</shapes>
  			</shapeSet>
  			<shapeSet displayName="Map_Input_for_Collate_Mortgage_Details" id="Map_Input_for_Collate_Mortgage_Details">
  				<shapes>Map_Input_for_Collate_Mortgage_Details</shapes>
  			</shapeSet>
  			<shapeSet displayName="Assign_Input_for_Underwrite_Mortgage" id="Assign_Input_for_Underwrite_Mortgage">
  				<shapes>Assign_Input_for_Underwrite_Mortgage</shapes>
  			</shapeSet>
  			<shapeSet displayName="Map_Mortgage_Refinancing_Process_Response" id="Map_Mortgage_Refinancing_Process_Response">
  				<shapes>Map_Mortgage_Refinancing_Process_Response</shapes>
  			</shapeSet>
  			<shapeSet displayName="Initiate_Mortgage_Refinancing" id="Initiate_Mortgage_Refinancing">
  				<shapes>Initiate_Mortgage_Refinancing</shapes>
  			</shapeSet>
  			<shapeSet displayName="Collate_Mortgage_Details" id="Collate_Mortgage_Details">
  				<shapes>Collate_Mortgage_Details</shapes>
  			</shapeSet>
  			<shapeSet displayName="Underwrite_Mortgage" id="Underwrite_Mortgage">
  				<shapes>Underwrite_Mortgage</shapes>
  			</shapeSet>
  		</shapeSets>
  		<actions>
  			<setColor condition="Initiate_Mortgage_Refinancing_Status eq &quot;ENTRY&quot;" fillColor="#ff8040">
  				<shapeSet ref="Initiate_Mortgage_Refinancing"/>
  			</setColor>
  			<setColor condition="Initiate_Mortgage_Refinancing_Status eq &quot;EXIT&quot;" fillColor="#00ff00">
  				<shapeSet ref="Initiate_Mortgage_Refinancing"/>
  			</setColor>
  			<setColor condition="Initiate_Mortgage_Refinancing_Status eq &quot;ENTRY&quot; or Initiate_Mortgage_Refinancing_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_2_Assign_Input_for_Initiate_Mortgage_Refinancing_to_Initiate_Mortgage_Refinancing"/>
  			</setColor>
  			<setColor condition="Initiate_Mortgage_Refinancing_Status eq &quot;ENTRY&quot; or Initiate_Mortgage_Refinancing_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_Mortgage_Refinancing_to_Assign_Input_for_Initiate_Mortgage_Refinancing"/>
  			</setColor>
  			<setColor condition="Collate_Mortgage_Details_Status eq &quot;ENTRY&quot; or Collate_Mortgage_Details_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_3_Initiate_Mortgage_Refinancing_to_Map_Input_for_Collate_Mortgage_Details"/>
  			</setColor>
  			<setColor condition="Collate_Mortgage_Details_Status eq &quot;ENTRY&quot; or Collate_Mortgage_Details_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_4_Map_Input_for_Collate_Mortgage_Details_to_Collate_Mortgage_Details"/>
  			</setColor>
  			<setColor condition="Collate_Mortgage_Details_Status eq &quot;ENTRY&quot;" fillColor="#ff8040">
  				<shapeSet ref="Collate_Mortgage_Details"/>
  			</setColor>
  			<setColor condition="Collate_Mortgage_Details_Status eq &quot;EXIT&quot;" fillColor="#00ff00">
  				<shapeSet ref="Collate_Mortgage_Details"/>
  			</setColor>
  			<setColor condition="Underwrite_Mortgage_Status eq &quot;ENTRY&quot; or Underwrite_Mortgage_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_5_Collate_Mortgage_Details_to_Assign_Input_for_Underwrite_Mortgage"/>
  			</setColor>
  			<setColor condition="Underwrite_Mortgage_Status eq &quot;ENTRY&quot; or Underwrite_Mortgage_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_6_Assign_Input_for_Underwrite_Mortgage_to_Underwrite_Mortgage"/>
  			</setColor>
  			<setColor condition="Underwrite_Mortgage_Status eq &quot;ENTRY&quot;" fillColor="#ff8040">
  				<shapeSet ref="Underwrite_Mortgage"/>
  			</setColor>
  			<setColor condition="Underwrite_Mortgage_Status eq &quot;EXIT&quot;" fillColor="#00ff00">
  				<shapeSet ref="Underwrite_Mortgage"/>
  			</setColor>
  			<setColor condition="Underwrite_Mortgage_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_7_Underwrite_Mortgage_to_Map_Mortgage_Refinancing_Process_Response"/>
  			</setColor>
  			<setColor condition="Underwrite_Mortgage_Status eq &quot;EXIT&quot;" outlineColor="#00ff00">
  				<shapeSet ref="Connection_8_Map_Mortgage_Refinancing_Process_Response_to_Mortgage_Refinancing"/>
  			</setColor>
  		</actions>
  		<svgDocument>
  			<import location="/MortgageRefinancingMMProj/Mortgage_Refinancing.svg"/>
  		</svgDocument>
  	</visualization>
  	<visualization context="KM/Template_KPI_Context">
  		<shapeSets>
  			<shapeSet displayName="CA" id="CA">
  				<shapes>CA</shapes>
  			</shapeSet>
  			<shapeSet displayName="OR" id="OR">
  				<shapes>OR</shapes>
  			</shapeSet>
  			<shapeSet displayName="NV" id="NV">
  				<shapes>NV</shapes>
  			</shapeSet>
  			<shapeSet displayName="AZ" id="AZ">
  				<shapes>AZ</shapes>
  			</shapeSet>
  			<shapeSet displayName="ID" id="ID">
  				<shapes>ID</shapes>
  			</shapeSet>
  			<shapeSet displayName="UT" id="UT">
  				<shapes>UT</shapes>
  			</shapeSet>
  			<shapeSet displayName="MT" id="MT">
  				<shapes>MT</shapes>
  			</shapeSet>
  			<shapeSet displayName="WY" id="WY">
  				<shapes>WY</shapes>
  			</shapeSet>
  			<shapeSet displayName="NM" id="NM">
  				<shapes>NM</shapes>
  			</shapeSet>
  			<shapeSet displayName="CO" id="CO">
  				<shapes>CO</shapes>
  			</shapeSet>
  			<shapeSet displayName="TX" id="TX">
  				<shapes>TX</shapes>
  			</shapeSet>
  			<shapeSet displayName="NE" id="NE">
  				<shapes>NE</shapes>
  			</shapeSet>
  			<shapeSet displayName="SD" id="SD">
  				<shapes>SD</shapes>
  			</shapeSet>
  			<shapeSet displayName="ND" id="ND">
  				<shapes>ND</shapes>
  			</shapeSet>
  			<shapeSet displayName="OK" id="OK">
  				<shapes>OK</shapes>
  			</shapeSet>
  			<shapeSet displayName="KS" id="KS">
  				<shapes>KS</shapes>
  			</shapeSet>
  			<shapeSet displayName="MN" id="MN">
  				<shapes>MN</shapes>
  			</shapeSet>
  			<shapeSet displayName="IA" id="IA">
  				<shapes>IA</shapes>
  			</shapeSet>
  			<shapeSet displayName="MO" id="MO">
  				<shapes>MO</shapes>
  			</shapeSet>
  			<shapeSet displayName="AR" id="AR">
  				<shapes>AR</shapes>
  			</shapeSet>
  			<shapeSet displayName="TN" id="TN">
  				<shapes>TN</shapes>
  			</shapeSet>
  			<shapeSet displayName="GA" id="GA">
  				<shapes>GA</shapes>
  			</shapeSet>
  			<shapeSet displayName="TX2" id="TX2">
  				<shapes>TX2</shapes>
  			</shapeSet>
  			<shapeSet displayName="TX1" id="TX1">
  				<shapes>TX1</shapes>
  			</shapeSet>
  			<shapeSet displayName="TN2" id="TN2">
  				<shapes>TN2</shapes>
  			</shapeSet>
  			<shapeSet displayName="TN1" id="TN1">
  				<shapes>TN1</shapes>
  			</shapeSet>
  			<shapeSet displayName="CA1" id="CA1">
  				<shapes>CA1</shapes>
  			</shapeSet>
  			<shapeSet displayName="CA2" id="CA2">
  				<shapes>CA2</shapes>
  			</shapeSet>
  			<shapeSet displayName="NM1" id="NM1">
  				<shapes>NM1</shapes>
  			</shapeSet>
  			<shapeSet displayName="NM2" id="NM2">
  				<shapes>NM2</shapes>
  			</shapeSet>
  			<shapeSet displayName="AZ1" id="AZ1">
  				<shapes>AZ1</shapes>
  			</shapeSet>
  			<shapeSet displayName="CO1" id="CO1">
  				<shapes>CO1</shapes>
  			</shapeSet>
  			<shapeSet displayName="UT1" id="UT1">
  				<shapes>UT1</shapes>
  			</shapeSet>
  			<shapeSet displayName="WY1" id="WY1">
  				<shapes>WY1</shapes>
  			</shapeSet>
  			<shapeSet displayName="MT1" id="MT1">
  				<shapes>MT1</shapes>
  			</shapeSet>
  			<shapeSet displayName="NV1" id="NV1">
  				<shapes>NV1</shapes>
  			</shapeSet>
  			<shapeSet displayName="KS1" id="KS1">
  				<shapes>KS1</shapes>
  			</shapeSet>
  			<shapeSet displayName="NE1" id="NE1">
  				<shapes>NE1</shapes>
  			</shapeSet>
  			<shapeSet displayName="SD1" id="SD1">
  				<shapes>SD1</shapes>
  			</shapeSet>
  			<shapeSet displayName="ND1" id="ND1">
  				<shapes>ND1</shapes>
  			</shapeSet>
  			<shapeSet displayName="MO1" id="MO1">
  				<shapes>MO1</shapes>
  			</shapeSet>
  			<shapeSet displayName="OK1" id="OK1">
  				<shapes>OK1</shapes>
  			</shapeSet>
  			<shapeSet displayName="ID1" id="ID1">
  				<shapes>ID1</shapes>
  			</shapeSet>
  			<shapeSet displayName="OR1" id="OR1">
  				<shapes>OR1</shapes>
  			</shapeSet>
  			<shapeSet displayName="IA1" id="IA1">
  				<shapes>IA1</shapes>
  			</shapeSet>
  			<shapeSet displayName="MN1" id="MN1">
  				<shapes>MN1</shapes>
  			</shapeSet>
  			<shapeSet displayName="GA1" id="GA1">
  				<shapes>GA1</shapes>
  			</shapeSet>
  			<shapeSet displayName="AR1" id="AR1">
  				<shapes>AR1</shapes>
  			</shapeSet>
  			<shapeSet displayName="AZ2" id="AZ2">
  				<shapes>AZ2</shapes>
  			</shapeSet>
  			<shapeSet displayName="AR2" id="AR2">
  				<shapes>AR2</shapes>
  			</shapeSet>
  			<shapeSet displayName="OK2" id="OK2">
  				<shapes>OK2</shapes>
  			</shapeSet>
  			<shapeSet displayName="GA2" id="GA2">
  				<shapes>GA2</shapes>
  			</shapeSet>
  			<shapeSet displayName="KS2" id="KS2">
  				<shapes>KS2</shapes>
  			</shapeSet>
  			<shapeSet displayName="MN2" id="MN2">
  				<shapes>MN2</shapes>
  			</shapeSet>
  			<shapeSet displayName="MO2" id="MO2">
  				<shapes>MO2</shapes>
  			</shapeSet>
  			<shapeSet displayName="NE2" id="NE2">
  				<shapes>NE2</shapes>
  			</shapeSet>
  			<shapeSet displayName="CO2" id="CO2">
  				<shapes>CO2</shapes>
  			</shapeSet>
  			<shapeSet displayName="ND2" id="ND2">
  				<shapes>ND2</shapes>
  			</shapeSet>
  			<shapeSet displayName="NV2" id="NV2">
  				<shapes>NV2</shapes>
  			</shapeSet>
  			<shapeSet displayName="OR2" id="OR2">
  				<shapes>OR2</shapes>
  			</shapeSet>
  			<shapeSet displayName="ID2" id="ID2">
  				<shapes>ID2</shapes>
  			</shapeSet>
  			<shapeSet displayName="MT2" id="MT2">
  				<shapes>MT2</shapes>
  			</shapeSet>
  			<shapeSet displayName="WY2" id="WY2">
  				<shapes>WY2</shapes>
  			</shapeSet>
  			<shapeSet displayName="UT2" id="UT2">
  				<shapes>UT2</shapes>
  			</shapeSet>
  			<shapeSet displayName="SD2" id="SD2">
  				<shapes>SD2</shapes>
  			</shapeSet>
  			<shapeSet displayName="IA2" id="IA2">
  				<shapes>IA2</shapes>
  			</shapeSet>
  			<shapeSet displayName="TX3" id="TX32">
  				<shapes>TX3</shapes>
  			</shapeSet>
  			<shapeSet displayName="NM3" id="NM32">
  				<shapes>NM3</shapes>
  			</shapeSet>
  			<shapeSet displayName="AZ3" id="AZ32">
  				<shapes>AZ3</shapes>
  			</shapeSet>
  			<shapeSet displayName="UT3" id="UT32">
  				<shapes>UT3</shapes>
  			</shapeSet>
  			<shapeSet displayName="NV3" id="NV32">
  				<shapes>NV3</shapes>
  			</shapeSet>
  			<shapeSet displayName="ID3" id="ID32">
  				<shapes>ID3</shapes>
  			</shapeSet>
  			<shapeSet displayName="OR3" id="OR32">
  				<shapes>OR3</shapes>
  			</shapeSet>
  			<shapeSet displayName="WY3" id="WY32">
  				<shapes>WY3</shapes>
  			</shapeSet>
  			<shapeSet displayName="SD3" id="SD32">
  				<shapes>SD3</shapes>
  			</shapeSet>
  			<shapeSet displayName="MN3" id="MN32">
  				<shapes>MN3</shapes>
  			</shapeSet>
  			<shapeSet displayName="IA3" id="IA32">
  				<shapes>IA3</shapes>
  			</shapeSet>
  			<shapeSet displayName="MO3" id="MO32">
  				<shapes>MO3</shapes>
  			</shapeSet>
  			<shapeSet displayName="TN3" id="TN32">
  				<shapes>TN3</shapes>
  			</shapeSet>
  			<shapeSet displayName="GA3" id="GA32">
  				<shapes>GA3</shapes>
  			</shapeSet>
  			<shapeSet displayName="ND3" id="ND32">
  				<shapes>ND3</shapes>
  			</shapeSet>
  			<shapeSet displayName="MT3" id="MT32">
  				<shapes>MT3</shapes>
  			</shapeSet>
  			<shapeSet displayName="CA3" id="CA32">
  				<shapes>CA3</shapes>
  			</shapeSet>
  			<shapeSet displayName="CO3" id="CO32">
  				<shapes>CO3</shapes>
  			</shapeSet>
  			<shapeSet displayName="KS3" id="KS32">
  				<shapes>KS3</shapes>
  			</shapeSet>
  			<shapeSet displayName="NE3" id="NE32">
  				<shapes>NE3</shapes>
  			</shapeSet>
  			<shapeSet displayName="AR3" id="AR32">
  				<shapes>AR3</shapes>
  			</shapeSet>
  			<shapeSet displayName="OK3" id="OK32">
  				<shapes>OK3</shapes>
  			</shapeSet>
  			<shapeSet displayName="AMM" id="AMM">
  				<shapes>AMM</shapes>
  			</shapeSet>
  		</shapeSets>
  		<actions>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Texas">
  				<shapeSet ref="TX32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Utah">
  				<shapeSet ref="UT32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Wyoming">
  				<shapeSet ref="WY32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Tennessee">
  				<shapeSet ref="TN32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Arizona">
  				<shapeSet ref="AZ32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Arkansas">
  				<shapeSet ref="AR32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_California">
  				<shapeSet ref="CA32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Colorado">
  				<shapeSet ref="CO32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Georgia">
  				<shapeSet ref="GA32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Idaho">
  				<shapeSet ref="ID32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Iowa">
  				<shapeSet ref="IA32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Kansas">
  				<shapeSet ref="KS32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Minnesota">
  				<shapeSet ref="MN32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Missouri">
  				<shapeSet ref="MO32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Montana">
  				<shapeSet ref="MT32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Nevada">
  				<shapeSet ref="NV32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_New_Mexico">
  				<shapeSet ref="NM32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_North_Dakota">
  				<shapeSet ref="ND32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Oregon">
  				<shapeSet ref="OR32"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_South_Dakota">
  				<shapeSet ref="SD32"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Arizona">
  				<shapeSet ref="AZ2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Arkansas">
  				<shapeSet ref="AR2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_California">
  				<shapeSet ref="CA2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Colorado">
  				<shapeSet ref="CO2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Georgia">
  				<shapeSet ref="GA2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Idaho">
  				<shapeSet ref="ID2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Iowa">
  				<shapeSet ref="IA2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Kansas">
  				<shapeSet ref="KS2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Minnesota">
  				<shapeSet ref="MN2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Missouri">
  				<shapeSet ref="MO2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Montana">
  				<shapeSet ref="MT2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Nevada">
  				<shapeSet ref="NV2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_New_Mexico">
  				<shapeSet ref="NM2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_North_Dakota">
  				<shapeSet ref="ND2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Oregon">
  				<shapeSet ref="OR2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_South_Dakota">
  				<shapeSet ref="SD2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Tennessee">
  				<shapeSet ref="TN2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Texas">
  				<shapeSet ref="TX2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Utah">
  				<shapeSet ref="UT2"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Wyoming">
  				<shapeSet ref="WY2"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Nebraska">
  				<shapeSet ref="NE32"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Nebraska">
  				<shapeSet ref="NE2"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Total_Value_of_Mortgage_of_Oklahoma">
  				<shapeSet ref="OK32"/>
  			</setText>
  			<setText textColor="#008000" textValue="Total_Volume_of_Mortgage_of_Oklahoma">
  				<shapeSet ref="OK2"/>
  			</setText>
  		</actions>
  		<svgDocument>
  			<import location="/MortgageRefinancingMMProj/US_Map_For_Banking.svg"/>
  		</svgDocument>
  	</visualization>
  </visualModel>
  <eventModel id="EM">
    <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1"/>
    <import namespace="http://www.w3.org/2001/XMLSchema"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/business-process/events/7.0"/>
    <import location="/MortgageRefinancingLibrary/RequestForMortgageRefinancing.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/MortgageRefinancingRequest"/>
    <import location="/MortgageRefinancingLibrary/MortgageRefinancing.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/MortgageRefinancing"/>
    <import location="/MortgageRefinancingLibrary/InititateMortgageRefinancing.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/InitiateMortgageRefinancing"/>
    <import location="/MortgageRefinancingLibrary/CollateMortgageDetails.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/CollateMortgageDetails"/>
    <import location="/MortgageRefinancingLibrary/UnderwriteMortgage.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/UnderwriteMortgage"/>
    <import location="/IFW/ArrangementServicingVerifyArrangementDetails.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/CustomerGetCreditRating.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/RestrictedClassificationManagement.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/RestrictedClassificationManagement"/>
    <import location="/IFW/RealProperty.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/RealProperty"/>
    <import location="/IFW/ProductArrangementServicing.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/ProductArrangementServicing"/>
    <import location="/MortgageRefinancingLibrary/VerifyOccupationStatus.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/VerifyOccupationStatus"/>
    <import location="/IFW/tns.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/Arrangement.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/InvolvedParty.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/ResourceItemExtn.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/ResourceItem"/>
    <import location="/MortgageRefinancingLibrary/ApproveMortgage.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/ApproveMortgage"/>
    <import location="/IFW/CommunicationSendCommunication.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/ArrangementAcceptArrangement.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/ArrangementSetupOfferProductArrangement.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/ArrangementCancelArrangement.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/ArrangementServicingApplyRiskRatingScale.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/SpecificRiskManagementForecastArrangementRisk.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/ArrangementSetup.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/schema/ifw/81/extn/schema/ArrangementSetup"/>
    <import location="/IFW/Product.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/Common.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/Channel.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/MortgageRefinancingLibrary/DocumentCheckList.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/DocumentCheckList"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0"/>
    <import location="/MortgageRefinancingLibrary/CustomerOccupationStatus.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/icp/2009/12/banking/payments/extn/schema/CustomerOccupationStatus"/>
    <import location="/MortgageRefinancingMMProj/ActionServicesEvent.cbe"/>
    
    <import location="NotificationEvent.cbe"/>
  </eventModel>
</mm:monitor>