<?xml version="1.0" encoding="UTF-8"?><mm:monitor displayName="CorporatePaymentsMM" id="CorporatePaymentsMM" timestamp="2009-06-30T14:57:01Z" xmlns:bo="http://www.ibm.com/industries/financialservices" xmlns:bo0="urn:iso:std:iso:20022:tech:xsd:pacs.008.001.01" xmlns:bo0_1="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/CCTIValidation" xmlns:bo1="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIRequest" xmlns:bo1_1="urn:iso:std:iso:20022:tech:xsd:pacs.008.001.01" xmlns:bo2="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIResponse" xmlns:bo2_1="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIRequest" xmlns:bo3="urn:iso:std:iso:20022:tech:xsd:pain.001.001.02" xmlns:bo3_1="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIResponse" xmlns:bo4="urn:iso:std:iso:20022:tech:xsd:pain.002.001.02" xmlns:bo4_1="urn:iso:std:iso:20022:tech:xsd:pain.001.001.02" xmlns:bo5="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/CCTIValidation" xmlns:bo5_1="urn:iso:std:iso:20022:tech:xsd:pain.002.001.02" xmlns:bo6="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/12/banking/payments/schema/CCTIDebulk" xmlns:bo7="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/PaymentAmountAprovalRequest" xmlns:bo8="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/error" xmlns:bpc="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0" xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:common="http://www.ibm.com/xmlns/prod/websphere/fabric/2008/06/common-event" xmlns:da="http://contextinfoextractor.wbsf.functions.ibm.com/expression" xmlns:dynamic-selection-event="http://www.ibm.com/xmlns/prod/websphere/fabric/2008/06/dynamic-selection-event" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:mad="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mad" xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" xmlns:ns_bo="http://www.ibm.com/industries/financialservices" xmlns:ns_bo0="urn:iso:std:iso:20022:tech:xsd:pacs.008.001.01" xmlns:ns_bo1="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/CCTIValidation" xmlns:ns_bo2="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIRequest" xmlns:ns_bo3="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIResponse" xmlns:ns_bo4="urn:iso:std:iso:20022:tech:xsd:pain.001.001.02" xmlns:ns_bo5="urn:iso:std:iso:20022:tech:xsd:pain.002.001.02" xmlns:ns_bo6="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/12/banking/payments/schema/CCTIDebulk" xmlns:ns_bo7="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/PaymentAmountAprovalRequest" xmlns:ns_bo8="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/error" xmlns:sca="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component" xmlns:tns="http://CorporatePayments" xmlns:udf="http://currencyconvertor.functions.ibm.com/expression" xmlns:wbi="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1" xmlns:wbm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <xpathFunctions>
  	<import namespace="http://currencyconvertor.functions.ibm.com/expression"/>
  	<import namespace="http://contextinfoextractor.wbsf.functions.ibm.com/expression"/>
  </xpathFunctions>
  <monitorDetailsModel displayName="VendorPaymentMM" id="MDM">
    <monitoringContext displayName="CorporatePayments" eventSequenceIDPath="fn:concat(fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventProgressCounter))), */BPELData/bpc:eventProgressCounter, ':', fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventLocalCounter))), */BPELData/bpc:eventLocalCounter)" id="CorporatePayments">
      <trigger displayName="Reply Exit Trigger" id="Reply_Exit_Trigger" isRepeatable="false" terminateContext="true">
      	<evaluationTime minutes="1"/>
      	<gatingCondition expression=" fn:minutes-from-duration(Process_Idle_Time) ge 1"/>
      </trigger>
      <trigger displayName="Receive Exit Trigger" id="Receive_Exit_Trigger" isRepeatable="true">
      	<onEvent ref="ReceiveEXIT"/>
      </trigger>
      <trigger displayName="Payment Status Code Change Trigger" id="Payment_Status_Code_Change_Trigger" isRepeatable="true">
      	<onValueChange ref="Payment_Status_Code"/>
      </trigger>
      <trigger displayName="Transaction Amount Value Change Trigger" id="Transaction_Amount_Value_Change_Trigger" isRepeatable="true">
      	<onValueChange ref="Transaction_Amount"/>
      </trigger>
      <trigger displayName="Verify Transaction Exit Trigger" id="Verify_Transaction_Exit_Trigger" isRepeatable="true">
      	<onEvent ref="Verify_TransactionEXIT"/>
      </trigger>
      <!-- 
      <inboundEvent displayName="ReceiveEXIT" id="ReceiveEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
      	<eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
      	<eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
      	<eventPart displayName="vendorPaymentParameters" id="vendorPaymentParameters" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='vendorPaymentParameters']/wbi:value" type="bo1:pain.001.001.02"/>
      	<correlationPredicate expression="CorporatePayments_Instance_ID = ReceiveEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID and Payment_ID = ReceiveEXIT/vendorPaymentParameters/bo1:PmtInf[1]/bo1:CdtTrfTxInf[1]/bo1:PmtId/bo1:InstrId"/>
      	<filter expression="ReceiveEXIT/BPELData/wbi:eventNature = 'EXIT' and ReceiveEXIT/BPELData/bpc:bpelId = '3' and ReceiveEXIT/BPELData/bpc:processTemplateName = 'VendorPayment'"/>
      </inboundEvent>
      -->
      <inboundEvent displayName="ReceiveEXIT" id="ReceiveEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="GrpHdr" id="GrpHdr" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='GrpHdr']/wbi:value" type="bo3:GroupHeader1"/>
        <eventPart displayName="PmtInf" id="PmtInf" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='PmtInf']/wbi:value" type="bo3:PaymentInstructionInformation1"/>
        <correlationPredicate expression="CorporatePayments_Instance_ID = ReceiveEXIT/BaseData/wbi:eventHeaderData/wbi:WBISESSION_ID "/>
        <filter expression="ReceiveEXIT/BPELData/wbi:eventNature = 'EXIT' and ReceiveEXIT/BPELData/bpc:bpelId = '3' and ReceiveEXIT/BPELData/bpc:processTemplateName = 'CorporatePayments'"/>
      </inboundEvent>
<!--  <inboundEvent displayName="ReplyEXIT" id="ReplyEXIT" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
      	<eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
      	<eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
      	<eventPart displayName="GrpHdr" id="GrpHdr" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='GrpHdr']/wbi:value" type="bo3:GroupHeader5"/>
      	<eventPart displayName="OrgnlGrpInfAndSts" id="OrgnlGrpInfAndSts" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='OrgnlGrpInfAndSts']/wbi:value" type="bo3:OriginalGroupInformation1"/>
      	<eventPart displayName="TxInfAndSts" id="TxInfAndSts" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='TxInfAndSts']/wbi:value" type="bo3:PaymentTransactionInformation1"/>
      	<correlationPredicate expression="CorporatePayments_Instance_ID = ReplyEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
      	<filter expression="ReplyEXIT/BPELData/wbi:eventNature = 'EXIT' and ReplyEXIT/BPELData/bpc:bpelId = '4' and ReplyEXIT/BPELData/bpc:processTemplateName = 'VendorPayment'"/>
      </inboundEvent> -->
 <!--           <inboundEvent displayName="Verify TransactionENTRY" id="Verify_TransactionENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
                <eventPart displayName="approvePaymentAmount" id="approvePaymentAmount" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='approvePaymentAmount']/wbi:value" type="bo:PaymentAmountAproval"/>
                <correlationPredicate expression="CorporatePayments_Instance_ID = Verify_TransactionENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="Verify_TransactionENTRY/BPELData/wbi:eventNature = 'ENTRY' and Verify_TransactionENTRY/BPELData/bpc:bpelId = '149' and Verify_TransactionENTRY/BPELData/bpc:processTemplateName = 'VendorPayment'"/>
            </inboundEvent>
            <inboundEvent displayName="Verify TransactionEXIT" id="Verify_TransactionEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
                <eventPart displayName="approvePaymentAmountResponse" id="approvePaymentAmountResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='approvePaymentAmountResponse']/wbi:value" type="bo:PaymentAmountAproval"/>
                <correlationPredicate expression="CorporatePayments_Instance_ID = Verify_TransactionEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="Verify_TransactionEXIT/BPELData/wbi:eventNature = 'EXIT' and Verify_TransactionEXIT/BPELData/bpc:bpelId = '149' and Verify_TransactionEXIT/BPELData/bpc:processTemplateName = 'VendorPayment'"/>
            </inboundEvent> -->
      <inboundEvent displayName="Verify TransactionENTRY" id="Verify_TransactionENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="approvePaymentAmount" id="approvePaymentAmount" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='approvePaymentAmount']/wbi:value" type="bo7:PaymentAmountAproval"/>
        <correlationPredicate expression="CorporatePayments_Instance_ID = Verify_TransactionENTRY/BaseData/wbi:eventHeaderData/wbi:WBISESSION_ID "/>
        <filter expression="Verify_TransactionENTRY/BPELData/wbi:eventNature = 'ENTRY' and Verify_TransactionENTRY/BPELData/bpc:bpelId = '149' and Verify_TransactionENTRY/BPELData/bpc:processTemplateName = 'CorporatePayments'"/>
      </inboundEvent>
      <inboundEvent displayName="Verify TransactionEXIT" id="Verify_TransactionEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="approvePaymentAmountResponse" id="approvePaymentAmountResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='approvePaymentAmountResponse']/wbi:value" type="bo7:PaymentAmountAproval"/>
        <correlationPredicate expression="CorporatePayments_Instance_ID = Verify_TransactionEXIT/BaseData/wbi:eventHeaderData/wbi:WBISESSION_ID "/>
        <filter expression="Verify_TransactionEXIT/BPELData/wbi:eventNature = 'EXIT' and Verify_TransactionEXIT/BPELData/bpc:bpelId = '149' and Verify_TransactionEXIT/BPELData/bpc:processTemplateName = 'CorporatePayments'"/>
      </inboundEvent>            
      <inboundEvent displayName="ReplyEXIT" id="ReplyEXIT" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
        <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
        <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
        <eventPart displayName="GrpHdr" id="GrpHdr" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='GrpHdr']/wbi:value" type="bo4:GroupHeader5"/>
        <eventPart displayName="OrgnlGrpInfAndSts" id="OrgnlGrpInfAndSts" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='OrgnlGrpInfAndSts']/wbi:value" type="bo4:OriginalGroupInformation1"/>
        <eventPart displayName="TxInfAndSts" id="TxInfAndSts" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='TxInfAndSts']/wbi:value" type="bo4:PaymentTransactionInformation1"/>
        <correlationPredicate expression="CorporatePayments_Instance_ID = ReplyEXIT/BaseData/wbi:eventHeaderData/wbi:WBISESSION_ID "/>
        <filter expression="ReplyEXIT/BPELData/wbi:eventNature = 'EXIT' and ReplyEXIT/BPELData/bpc:bpelId = '4' and ReplyEXIT/BPELData/bpc:processTemplateName = 'CorporatePayments'"/>
      </inboundEvent>
      <inboundEvent displayName="Payment Network Selection Event" id="Payment_Network_Selection_Event" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent" extensionName="ServiceEndpointSelectionEvent" eventSequenceIDPath="Payment_Network_Selection_Event/predefinedData/creationTime">
      	<correlationPredicate expression="CorporatePayments_Instance_ID = Payment_Network_Selection_Event/extendedData/WBI_SESSION_ID"/>
      	<filter expression="Payment_Network_Selection_Event/extendedData/ServiceName eq  'Payment Network'"/>
      </inboundEvent>
      <inboundEvent displayName="Payment Approval Event" id="Payment_Approval_Event" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent" extensionName="ServiceEndpointSelectionEvent" eventSequenceIDPath="Payment_Approval_Event/predefinedData/creationTime ">
      	<correlationPredicate expression="CorporatePayments_Instance_ID = Payment_Approval_Event/extendedData/WBI_SESSION_ID "/>
      	<filter expression="Payment_Approval_Event/extendedData/ServiceName eq  'Payment Approval'"/>
      </inboundEvent>
      <outboundEvent displayName="Customer Notification Event" extensionName="CustomerNotification" id="Customer_Notification_Event" rootElement="cbe:CommonBaseEvent">
            	<map>
            		<trigger ref="Verify_Transaction_Exit_Trigger"/>
            		<outputValue>
            			<assignments>
            				<assignment leftValue="Customer_Notification_Event/extendedData/BusinessSituationName" rightValue="'Notify Customer'"/>
            				<assignment leftValue="Customer_Notification_Event/extendedData/TransactionStatus" rightValue="Transaction_Status "/>
            				<assignment leftValue="Customer_Notification_Event/extendedData/PaymentId" rightValue="Payment_ID "/>
            			</assignments>
            		</outputValue>
            	</map>
            </outboundEvent>
            <metric displayName="CorporatePayments Instance ID" id="CorporatePayments_Instance_ID" isPartOfKey="true" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/BaseData/wbi:eventHeaderData/wbi:WBISESSION_ID "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Payment ID" id="Payment_ID" isPartOfKey="true" type="xsd:string" valueRequired="false">
      	<map>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/PmtInf/bo3:CdtTrfTxInf[1]/bo3:PmtId/bo3:InstrId "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Payer BankCode" id="Payer_BankCode" isSortable="true" type="xsd:string">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/PmtInf/bo3:DbtrAgt/bo3:FinInstnId/bo3:BIC "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Transaction Amount (USD)" id="Transaction_Amount" type="xsd:decimal">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="fn:round((  ReceiveEXIT/PmtInf/bo3:CdtTrfTxInf[1]/bo3:Amt/bo3:InstdAmt ) div  udf:currencyConvertor('USD',  ReceiveEXIT/PmtInf/bo3:CdtTrfTxInf[1]/bo3:Amt/bo3:InstdAmt/@Ccy))  "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Payment DateTime" id="Payment_DateTime" type="xsd:dateTime" valueRequired="true">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/GrpHdr/bo3:CreDtTm"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="dateTime('2009-11-01T00:00:00-05:00')"/>
      	</defaultValue>
      </metric>
      <metric displayName="Payee Account" id="Payee_Account" type="xsd:string">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/PmtInf/bo3:CdtTrfTxInf[1]/bo3:CdtrAcct/bo3:Id/bo3:PrtryAcct/bo3:Id "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Payee BankCode" id="Payee_BankCode" type="xsd:string">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/PmtInf/bo3:CdtTrfTxInf[1]/bo3:CdtrAgt/bo3:FinInstnId/bo3:BIC "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Payment Status" id="Payment_Status" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="Payment_Status_Code_Change_Trigger"/>
      		<outputValue>
      			<singleValue expression="if ( Payment_Status_Code = 'RCVD' ) then 'Received' else if  ( Payment_Status_Code = 'RJCT' ) then 'Rejected' else if (  Payment_Status_Code = 'PDNG') then 'Pending' else 'Unknown'"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <metric displayName="Currency" id="Currency" type="xsd:string">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/PmtInf/bo3:CdtTrfTxInf[1]/bo3:Amt/bo3:InstdAmt/@Ccy "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Country" id="Country" type="xsd:string" valueRequired="true">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/PmtInf/bo3:CdtTrfTxInf[1]/bo3:Cdtr/bo3:PstlAdr/bo3:Ctry"/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <metric displayName="Payer Account" id="Payer_Account" type="xsd:string">
      	<map>
      		<trigger ref="Receive_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="ReceiveEXIT/PmtInf/bo3:DbtrAcct/bo3:Id/bo3:PrtryAcct/bo3:Id "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Payment Network" id="Payment_Network" isSortable="false" type="xsd:string" valueRequired="true">
      	<map>
      		<outputValue>
      			<singleValue expression="Payment_Network_Selection_Event/extendedData/ServiceEndpoint "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <metric displayName="Payment Status Code" id="Payment_Status_Code" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="if (fn:empty( ReplyEXIT/TxInfAndSts/bo4:TxSts)) then ReplyEXIT/OrgnlGrpInfAndSts/bo4:GrpSts else ReplyEXIT/TxInfAndSts/bo4:TxSts"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Transaction Amount (Million USD)" id="Transaction_Amount_Million_USD" type="xsd:decimal">
      	<map>
      		<trigger ref="Transaction_Amount_Value_Change_Trigger"/>
      		<outputValue>
      			<singleValue expression="Transaction_Amount div 1000000"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Transaction Status" id="Transaction_Status" type="xsd:string">
      	<map>
      		<trigger ref="Verify_Transaction_Exit_Trigger"/>
      		<outputValue>
      			<singleValue expression="Verify_TransactionEXIT/approvePaymentAmountResponse/ApprovalStatus"/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Transaction Awaiting Approval" id="Transaction_Awaiting_Approval" isSortable="true" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="Verify_TransactionENTRY/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      	<map>
      		<outputValue>
      			<singleValue expression="Verify_TransactionEXIT/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="verifyTransactionHT" id="verifyTransactionHT" type="xsd:string">
      	<map>
      		<outputValue>
      			<singleValue expression="Verify_TransactionENTRY/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      	<map>
      		<outputValue>
      			<singleValue expression="Verify_TransactionEXIT/BPELData/wbi:eventNature "/>
      		</outputValue>
      	</map>
      </metric>
      <metric displayName="Payment Approval" id="Payment_Approval" type="xsd:string" valueRequired="true">
      	<map>
      		<outputValue>
      			<singleValue expression="Payment_Approval_Event/extendedData/ServiceEndpoint "/>
      		</outputValue>
      	</map>
      	<defaultValue>
      		<singleValue expression="''"/>
      	</defaultValue>
      </metric>
      <stopwatch displayName="Verify Transaction Stopwatch" id="Verify_Transaction_Stopwatch" isAccumulated="false" type="xsd:duration">
      	<startedWhen ref="Verify_TransactionENTRY"/>
      	<stoppedWhen ref="Verify_TransactionEXIT"/>
      </stopwatch>
      <stopwatch displayName="Process Idle Time" id="Process_Idle_Time" type="xsd:duration">
      	<startedWhen ref="ReplyEXIT"/>
      	<resetWhen ref="Payment_Approval_Event"/>
      	<resetWhen ref="Payment_Network_Selection_Event"/>
      </stopwatch>
    </monitoringContext>
    <monitoringContext displayName="CorporatePaymentsDA" eventSequenceIDPath="*/predefinedData/creationTime" id="CorporatePaymentsDA">
    	<trigger displayName="Exit Trigger" id="Exit_Trigger" isRepeatable="true" terminateContext="true">
    		<onEvent ref="Dynamic_Selection_Event"/>
    	</trigger>
    	<trigger displayName="Service Selection Event Trigger" id="Service_Selection_Event_Trigger" isRepeatable="true">
    		<onEvent ref="Dynamic_Selection_Event" />
    		<gatingCondition expression="Service_Name eq 'Payment Approval' or Service_Name eq 'Payment Network'" />
    	</trigger>    	
    	<inboundEvent displayName="Dynamic Selection Event" id="Dynamic_Selection_Event" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
    		<eventPart displayName="DA Data" id="DA_Data" path="cbe:CommonBaseEvent/dynamic-selection-event:DynamicSelection" type="dynamic-selection-event:DynamicSelection"/>
    		<correlationPredicate expression="Invocation_Context_Id = Dynamic_Selection_Event/DA_Data/dynamic-selection-event:ContextSummary/common:invocationContextId"/>
    		<filter expression="fn:contains(Dynamic_Selection_Event/DA_Data/dynamic-selection-event:ComponentInfo/common:component, 'CorporatePayments')"/>
    	</inboundEvent>
    	<outboundEvent displayName="Service Selection Event" id="Service_Selection_Event" rootElement="cbe:CommonBaseEvent" extensionName="ServiceEndpointSelectionEvent">
    		<map>
    			<trigger ref="Service_Selection_Event_Trigger" />
    			<outputValue>
    				<assignments>
    					<assignment leftValue="Service_Selection_Event/extendedData/WBI_SESSION_ID" rightValue="Dynamic_Selection_Event/DA_Data/dynamic-selection-event:wbiSessionId " />
    					<assignment leftValue="Service_Selection_Event/extendedData/ServiceName" rightValue="Service_Name " />
    					<assignment leftValue="Service_Selection_Event/extendedData/ServiceEndpoint" rightValue="Selected_Service_Endpoint " />
    				</assignments>
    			</outputValue>
    		</map>
    	</outboundEvent>
    	<metric displayName="Invocation Context Id" id="Invocation_Context_Id" isPartOfKey="true" type="xsd:string" valueRequired="false">
    		<defaultValue>
    			<singleValue expression="''"/>
    		</defaultValue>
    	</metric>
    	<metric displayName="Selected Service Endpoint" id="Selected_Service_Endpoint" type="xsd:string" valueRequired="true">
    		<map>
    			<outputValue>
    				<singleValue expression="da:get-selected-endpoint(Dynamic_Selection_Event/DA_Data/dynamic-selection-event:SelectedEndpoint/dynamic-selection-event:address)"/>
    			</outputValue>
    		</map>
    		<defaultValue>
    			<singleValue expression="''"/>
    		</defaultValue>
    	</metric>
    	<metric displayName="Service Name" id="Service_Name" type="xsd:string" valueRequired="true">
    		<map>
    			<outputValue>
    				<singleValue expression="da:get-service-name(Dynamic_Selection_Event/DA_Data/dynamic-selection-event:ComponentInfo/common:portType)"/>
    			</outputValue>
    		</map>
    		<defaultValue>
    			<singleValue expression="''"/>
    		</defaultValue>
    	</metric>
    </monitoringContext>
        <monitoringContext displayName="CorporatePaymentsUIProcess" eventSequenceIDPath="fn:concat(fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventProgressCounter))), */BPELData/bpc:eventProgressCounter, ':', fn:substring('00000000000000000000', fn:string-length(xs:string(*/BPELData/bpc:eventLocalCounter))), */BPELData/bpc:eventLocalCounter)" id="CorporatePaymentsUIProcess">
            <inboundEvent displayName="Submit Corporate Payments RequestENTRY" id="Submit_Corporate_Payments_RequestENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"/>
                <correlationPredicate expression="CorporatePaymentsUIProcess_Instance_ID = Submit_Corporate_Payments_RequestENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="Submit_Corporate_Payments_RequestENTRY/BPELData/wbi:eventNature = 'ENTRY' and Submit_Corporate_Payments_RequestENTRY/BPELData/bpc:bpelId = '2' and Submit_Corporate_Payments_RequestENTRY/BPELData/bpc:processTemplateName = 'CorporatePaymentsUIProcess' and Submit_Corporate_Payments_RequestENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-05-28 19:57:03.000'"/>
            </inboundEvent>
            <inboundEvent displayName="Submit Corporate Payments RequestEXIT" id="Submit_Corporate_Payments_RequestEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
                <eventPart displayName="VendorPaymentRequest" id="VendorPaymentRequest" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='VendorPaymentRequest']/wbi:value" type="ns_bo2:VendorPaymentUIRequest"/>
                <correlationPredicate expression="CorporatePaymentsUIProcess_Instance_ID = Submit_Corporate_Payments_RequestEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="Submit_Corporate_Payments_RequestEXIT/BPELData/wbi:eventNature = 'EXIT' and Submit_Corporate_Payments_RequestEXIT/BPELData/bpc:bpelId = '2' and Submit_Corporate_Payments_RequestEXIT/BPELData/bpc:processTemplateName = 'CorporatePaymentsUIProcess' and Submit_Corporate_Payments_RequestEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-05-28 19:57:03.000'"/>
            </inboundEvent>
            <inboundEvent displayName="Retrieve Corporate Payments DetailENTRY" id="Retrieve_Corporate_Payments_DetailENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
                <eventPart displayName="GrpHdr" id="GrpHdr" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='GrpHdr']/wbi:value" type="ns_bo4:GroupHeader1"/>
                <eventPart displayName="PmtInf" id="PmtInf" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='PmtInf']/wbi:value" type="ns_bo4:PaymentInstructionInformation1"/>
                <correlationPredicate expression="CorporatePaymentsUIProcess_Instance_ID = Retrieve_Corporate_Payments_DetailENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="Retrieve_Corporate_Payments_DetailENTRY/BPELData/wbi:eventNature = 'ENTRY' and Retrieve_Corporate_Payments_DetailENTRY/BPELData/bpc:bpelId = '15' and Retrieve_Corporate_Payments_DetailENTRY/BPELData/bpc:processTemplateName = 'CorporatePaymentsUIProcess' and Retrieve_Corporate_Payments_DetailENTRY/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-05-28 19:57:03.000'"/>
            </inboundEvent>
            <inboundEvent displayName="Retrieve Corporate Payments DetailEXIT" id="Retrieve_Corporate_Payments_DetailEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
                <eventPart displayName="GrpHdr" id="GrpHdr" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='GrpHdr']/wbi:value" type="ns_bo5:GroupHeader5"/>
                <eventPart displayName="OrgnlGrpInfAndSts" id="OrgnlGrpInfAndSts" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='OrgnlGrpInfAndSts']/wbi:value" type="ns_bo5:OriginalGroupInformation1"/>
                <eventPart displayName="TxInfAndSts" id="TxInfAndSts" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='TxInfAndSts']/wbi:value" type="ns_bo5:PaymentTransactionInformation1"/>
                <correlationPredicate expression="CorporatePaymentsUIProcess_Instance_ID = Retrieve_Corporate_Payments_DetailEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="Retrieve_Corporate_Payments_DetailEXIT/BPELData/wbi:eventNature = 'EXIT' and Retrieve_Corporate_Payments_DetailEXIT/BPELData/bpc:bpelId = '15' and Retrieve_Corporate_Payments_DetailEXIT/BPELData/bpc:processTemplateName = 'CorporatePaymentsUIProcess' and Retrieve_Corporate_Payments_DetailEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-05-28 19:57:03.000'"/>
            </inboundEvent>
            <inboundEvent displayName="View Corporate Payments ResponseCREATED" id="View_Corporate_Payments_ResponseCREATED" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
                <eventPart displayName="VendorPaymentResponse" id="VendorPaymentResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='VendorPaymentResponse']/wbi:value" type="ns_bo3:VendorPaymentUIResponse"/>
                <correlationPredicate expression="CorporatePaymentsUIProcess_Instance_ID = View_Corporate_Payments_ResponseCREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="View_Corporate_Payments_ResponseCREATED/BPELData/wbi:eventNature = 'CREATED' and View_Corporate_Payments_ResponseCREATED/BPELData/bpc:bpelId = '16' and View_Corporate_Payments_ResponseCREATED/BPELData/bpc:processTemplateName = 'CorporatePaymentsUIProcess' and View_Corporate_Payments_ResponseCREATED/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-05-28 19:57:03.000'"/>
            </inboundEvent>
            <inboundEvent displayName="View Corporate Payments ResponseEXIT" id="View_Corporate_Payments_ResponseEXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
                <eventPart displayName="BaseData" id="BaseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"/>
                <eventPart displayName="BPELData" id="BPELData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"/>
                <eventPart displayName="VendorPaymentResponse" id="VendorPaymentResponse" path="cbe:CommonBaseEvent/wbi:event/wbi:applicationData/wbi:content[@wbi:name='VendorPaymentResponse']/wbi:value" type="ns_bo3:VendorPaymentUIResponse"/>
                <correlationPredicate expression="CorporatePaymentsUIProcess_Instance_ID = View_Corporate_Payments_ResponseEXIT/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                <filter expression="View_Corporate_Payments_ResponseEXIT/BPELData/wbi:eventNature = 'EXIT' and View_Corporate_Payments_ResponseEXIT/BPELData/bpc:bpelId = '16' and View_Corporate_Payments_ResponseEXIT/BPELData/bpc:processTemplateName = 'CorporatePaymentsUIProcess' and View_Corporate_Payments_ResponseEXIT/BPELData/bpc:processTemplateValidFrom = 'Thu 2009-05-28 19:57:03.000'"/>
            </inboundEvent>
            <metric displayName="CorporatePaymentsUIProcess Instance ID" id="CorporatePaymentsUIProcess_Instance_ID" isPartOfKey="true" type="xsd:string">
                <map>
                    <outputValue>
                        <singleValue expression="View_Corporate_Payments_ResponseCREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                    </outputValue>
                </map>
                <map>
                    <outputValue>
                        <singleValue expression="Submit_Corporate_Payments_RequestENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                    </outputValue>
                </map>
                <map>
                    <outputValue>
                        <singleValue expression="Retrieve_Corporate_Payments_DetailENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="submitCorporatePaymentsProcess" id="submitCorporatePaymentsProcess" type="xsd:string">
            	<map>
            		<outputValue>
            			<singleValue expression="Submit_Corporate_Payments_RequestENTRY/BPELData/wbi:eventNature "/>
            		</outputValue>
            	</map>
            	<map>
            		<outputValue>
            			<singleValue expression="Submit_Corporate_Payments_RequestEXIT/BPELData/wbi:eventNature "/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="retriveCorporatePaymentsDetails" id="retriveCorporatePaymentsDetails" type="xsd:string">
            	<map>
            		<outputValue>
            			<singleValue expression="Retrieve_Corporate_Payments_DetailENTRY/BPELData/wbi:eventNature "/>
            		</outputValue>
            	</map>
            	<map>
            		<outputValue>
            			<singleValue expression="Retrieve_Corporate_Payments_DetailEXIT/BPELData/wbi:eventNature "/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="viewCorporatePaymentResponse" id="viewCorporatePaymentResponse" type="xsd:string">
            	<map>
            		<outputValue>
            			<singleValue expression="View_Corporate_Payments_ResponseCREATED/BPELData/wbi:eventNature "/>
            		</outputValue>
            	</map>
            	<map>
            		<outputValue>
            			<singleValue expression="View_Corporate_Payments_ResponseEXIT/BPELData/wbi:eventNature "/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="Transaction ID" id="Transaction_ID" type="xsd:string">
            	<map>
            		<outputValue>
            			<singleValue expression="Retrieve_Corporate_Payments_DetailENTRY/PmtInf/bo3:CdtTrfTxInf[1]/bo3:PmtId/bo3:InstrId"/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="Vendor Name" id="Vendor_Name" type="xsd:string">
            	<map>
            		<outputValue>
            			<singleValue expression="Submit_Corporate_Payments_RequestEXIT/VendorPaymentRequest/VendorName "/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="Payment Amount" id="Payment_Amount" type="xsd:string">
            	<map>
            		<outputValue>
            			<singleValue expression="Submit_Corporate_Payments_RequestEXIT/VendorPaymentRequest/PaymentAmount "/>
            		</outputValue>
            	</map>
            </metric>
        </monitoringContext>
    </monitorDetailsModel>
  <kpiModel displayName="VendorPaymentMM" id="KM">
  	<kpiContext displayName="CorporatePayments KPI Context" id="VendorPayment_KPI_Context">
  		<trigger displayName="SWIFT Rejected Payments Trigger" id="SWIFT_Rejected_Payments_Trigger" isRepeatable="false">
  			<evaluationTime days="0" hours="0" minutes="1"/>
  			<gatingCondition expression="SWIFT_Rejected_Payments &gt; 5"/>
  		</trigger>
  		<trigger displayName="SEPA Rejected Payments Trigger" id="SEPA_Rejected_Payments_Trigger" isRepeatable="false">
  			<evaluationTime days="0" hours="0" minutes="1"/>
  			<gatingCondition expression="SEPA_Rejected_Payments &gt; 5"/>
  		</trigger>
  		<outboundEvent displayName="SWIFT Rejected Payments Event" extensionName="RejectedPaymentsEvent" id="SWIFT_Rejected_Payments_Event" rootElement="cbe:CommonBaseEvent">
  			<map>
  				<trigger ref="SWIFT_Rejected_Payments_Trigger"/>
  				<outputValue>
  					<assignments>
  						<assignment leftValue="SWIFT_Rejected_Payments_Event/extendedData/BusinessSituationName" rightValue="'Too many rejected payments in SWIFT'"/>
  						<assignment leftValue="SWIFT_Rejected_Payments_Event/extendedData/RejectedPaymentsNumber" rightValue="xs:integer(SWIFT_Rejected_Payments)"/>
  					</assignments>
  				</outputValue>
  			</map>
  		</outboundEvent>
  		<outboundEvent displayName="SEPA Rejected Payments Event" extensionName="RejectedPaymentsEvent" id="SEPA_Rejected_Payments_Event" rootElement="cbe:CommonBaseEvent">
  			<map>
  				<trigger ref="SEPA_Rejected_Payments_Trigger"/>
  				<outputValue>
  					<assignments>
  						<assignment leftValue="SEPA_Rejected_Payments_Event/extendedData/BusinessSituationName" rightValue="'Too many rejected payments in SEPA'"/>
  						<assignment leftValue="SEPA_Rejected_Payments_Event/extendedData/RejectedPaymentsNumber" rightValue="xs:integer(SEPA_Rejected_Payments)"/>
  					</assignments>
  				</outputValue>
  			</map>
  		</outboundEvent>
  		<kpi displayName="Number of Transactions CN" id="Number_of_Transactions_CN" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Country"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'CN'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Number of Transactions US" id="Number_of_Transactions_US" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Country"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'US'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Transaction Volume" id="Total_Number_of_Transactions" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="CorporatePayments_Instance_ID"/>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="50"/>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"/>
  				<endValue displayName="endValue" id="endValue" value="60"/>
  			</range>
  			<range displayName="Normal Range" id="Normal_Range">
  				<startValue displayName="startValue" id="startValue" value="60"/>
  				<endValue displayName="endValue" id="endValue" value="100"/>
  			</range>
  		</kpi>
  		<kpi displayName="Total Corporate Payments Value in USD" id="Total_Payment_Amount" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Approved'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Percentage of Transactions CN" id="Percentage_of_Transactions_CN" rangeType="actualValue" type="xsd:decimal">
  			<calculatedDefinition>
  				<kpiCalculation expression="if (Total_Number_of_Transactions ne 0)  then (fn:round(( Number_of_Transactions_CN div Total_Number_of_Transactions ) * 10000) ) div 100  else 0"/>
  			</calculatedDefinition>
  		</kpi>
  		<kpi displayName="Average Payment Amount (USD)" id="Average_Payment_Amount" rangeType="actualValue" type="xsd:decimal">
  			<calculatedDefinition>
  				<kpiCalculation expression="fn:round(Average_Payment_Amount_in_USD)"/>
  			</calculatedDefinition>
  			<target displayName="Target" id="Target" value="500000"/>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"/>
  				<endValue displayName="endValue" id="endValue" value="300000">
  					<description/>
  				</endValue>
  			</range>
  			<range displayName="Medium Range" id="Medium_Range">
  				<startValue displayName="startValue" id="startValue" value="300000">
  					<description/>
  				</startValue>
  				<endValue displayName="endValue" id="endValue" value="500000">
  					<description/>
  				</endValue>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="500000">
  					<description/>
  				</startValue>
  				<endValue displayName="endValue" id="endValue" value="1000000">
  					<description/>
  				</endValue>
  			</range>
  		</kpi>
  		<kpi displayName="Percentage of Transactions US" id="Percentage_of_Transactions_US" rangeType="actualValue" type="xsd:decimal">
  			<calculatedDefinition>
  				<kpiCalculation expression="if (Total_Number_of_Transactions ne 0)  then(fn:round(( Number_of_Transactions_US div Total_Number_of_Transactions ) * 10000) ) div 100 else 0"/>
  			</calculatedDefinition>
  		</kpi>
  		<kpi displayName="Total Payment Amount (Million USD)" id="Total_Payment_Amount_by_Million" rangeType="actualValue" type="xsd:decimal">
  			<calculatedDefinition>
  				<kpiCalculation expression="fn:round(Total_Payment_Amount div 10000) div 100"/>
  			</calculatedDefinition>
  			<target displayName="Target" id="Target" value="20"/>
  			<range displayName="Low Range" id="Low_Range">
  				<startValue displayName="startValue" id="startValue" value="0"/>
  				<endValue displayName="endValue" id="endValue" value="10"/>
  			</range>
  			<range displayName="Medium Range" id="Medium_Range">
  				<startValue displayName="startValue" id="startValue" value="10"/>
  				<endValue displayName="endValue" id="endValue" value="20"/>
  			</range>
  			<range displayName="High Range" id="High_Range">
  				<startValue displayName="startValue" id="startValue" value="20"/>
  				<endValue displayName="endValue" id="endValue" value="30"/>
  			</range>
  		</kpi>
  		<kpi displayName="Average Payment Amount in USD" id="Average_Payment_Amount_in_USD" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="SEPA" id="SEPA_Rejected_Payments" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Payment_Status"/>
  				<metricFilter operator="equals" ref="Payment_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Payment_Network">
  					<value expression="'SEPA'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="5"/>
  			<range displayName="Normal Range" id="Normal_Range">
  				<startValue displayName="startValue" id="startValue" value="0"/>
  				<endValue displayName="endValue" id="endValue" value="5"/>
  			</range>
  			<range displayName="Medium Range" id="Medium_Range">
  				<startValue displayName="startValue" id="startValue" value="5"/>
  				<endValue displayName="endValue" id="endValue" value="10"/>
  			</range>
  			<range displayName="Warning Range" id="Warning_Range">
  				<startValue displayName="startValue" id="startValue" value="10"/>
  				<endValue displayName="endValue" id="endValue" value="20"/>
  			</range>
  		</kpi>
  		<kpi displayName="Number of Transactions GB" id="Number_of_Transactions_GB" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Country"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'GB'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="SWIFT" id="SWIFT_Rejected_Payments" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Payment_Status"/>
  				<metricFilter operator="equals" ref="Payment_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Payment_Network">
  					<value expression="'SWIFT'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  			<target displayName="Target" id="Target" value="5"/>
  			<range displayName="Normal Range" id="Normal_Range">
  				<startValue displayName="startValue" id="startValue" value="0"/>
  				<endValue displayName="endValue" id="endValue" value="5"/>
  			</range>
  			<range displayName="Medium Range" id="Medium_Range">
  				<startValue displayName="startValue" id="startValue" value="5"/>
  				<endValue displayName="endValue" id="endValue" value="10"/>
  			</range>
  			<range displayName="Warning Range" id="Warning_Range">
  				<startValue displayName="startValue" id="startValue" value="10"/>
  				<endValue displayName="endValue" id="endValue" value="20"/>
  			</range>
  		</kpi>
  		<kpi displayName="Percentage of Transactions GB" id="Percentage_of_Transactions_GB" rangeType="actualValue" type="xsd:decimal">
  			<calculatedDefinition>
  				<kpiCalculation expression="if (Total_Number_of_Transactions ne 0)  then (fn:round(( Number_of_Transactions_GB div Total_Number_of_Transactions ) * 10000) ) div 100 else 0"/>
  			</calculatedDefinition>
  		</kpi>
  		<kpi displayName="Accepted Transaction CN" id="Accepted_Transaction_CN" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Status"/>
  				<metricFilter isCaseSensitive="false" operator="equals" ref="Transaction_Status">
  					<value expression="'Approved'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'CN'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Accepted Transaction GB" id="Accepted_Transaction_GB" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Status"/>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Approved'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'GB'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Accepted Transaction US" id="Accepted_Transaction_US" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Status"/>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Approved'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'US'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Rejected Transaction CN" id="Rejected_Transaction_CN" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Status"/>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'CN'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Rejected Transaction GB" id="Rejected_Transaction_GB" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Status"/>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'GB'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Rejected Transaction US" id="Rejected_Transaction_US" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Status"/>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'US'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Value Of Vendor Payment CN" id="Value_Of_Vendor_Payment_CN" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'CN'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Value Of Vendor Payment GB" id="Value_Of_Vendor_Payment_GB" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'GB'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Value Of Vendor Payment US" id="Value_Of_Vendor_Payment_US" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'US'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Average Trun-Around Time For Payment Approval" id="Average_Trun-Around_Time_For_Payment_Approval" rangeType="actualValue" type="xsd:duration">
  			<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Verify_Transaction_Stopwatch"/>
  				<metricFilter ref="Payment_Approval" operator="equals">
  					<value expression="'Manual'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Value Of Payments Awaiting Approval" id="Value_Of_Payments_Awaiting_Approval" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="notEquals" ref="Transaction_Awaiting_Approval">
  					<value expression="'EXIT'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Volume Of Payment Awaiting Approval" id="Volume_Of_Payment_Awaiting_Approval" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="notEquals" ref="Transaction_Awaiting_Approval">
  					<value expression="'EXIT'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Accepted Transaction Value CN" id="Accepted_Transaction_Value_CN" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'CN'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Approved'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>  				
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Accepted Transaction Value GB" id="Accepted_Transaction_Value_GB" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'GB'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Approved'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>  				
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Accepted Transaction Value US" id="Accepted_Transaction_Value_US" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'US'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Approved'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>  				
  			</aggregatedDefinition>
  		</kpi>  		  		
  		<kpi displayName="Rejected Transaction Value CN" id="Rejected_Transaction_Value_CN" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'CN'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Rejected Transaction Value GB" id="Rejected_Transaction_Value_GB" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'GB'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>  				
  			</aggregatedDefinition>
  		</kpi>
  		<kpi displayName="Rejected Transaction Value US" id="Rejected_Transaction_Value_US" rangeType="actualValue" type="xsd:decimal">
  			<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
  				<monitoringContext ref="CorporatePayments"/>
  				<metric ref="Transaction_Amount"/>
  				<metricFilter operator="equals" ref="Country">
  					<value expression="'US'"/>
  				</metricFilter>
  				<metricFilter operator="equals" ref="Transaction_Status">
  					<value expression="'Rejected'"/>
  				</metricFilter>
  				<dateTimeMetricFilter ref="Payment_DateTime">
  					<repeatingPeriod periodBasis="periodInProgress" periodType="monthly" timezone="IST"/>
  				</dateTimeMetricFilter>  				
  			</aggregatedDefinition>
  		</kpi>  		  		  		
  	</kpiContext>
  </kpiModel>
  <dimensionalModel displayName="CorporatePayments Dimensional Model" id="DMM">
    <cube displayName="CorporatePayments Cube" id="CorporatePayments_Cube" monitoringContext="/CorporatePaymentsMM/MDM/CorporatePayments">
    	<measure aggregationType="sum" displayName="Payment Amount (Million USD)" id="Payment_Amount" source="Transaction_Amount_Million_USD"/>
    	<measure aggregationType="count" displayName="Transaction Number" id="Transactions" source="CorporatePayments_Instance_ID"/>
    	<measure aggregationType="avg" displayName="Time Taken To Approve Payment" id="Time_Taken_To_Approve_Payment" source="/CorporatePaymentsMM/MDM/CorporatePayments/Verify_Transaction_Stopwatch"/>
    	<dimension displayName="Payment Network" id="Payment_Network">
    		<attribute attributeSource="Payment_Network" displayName="Network" id="Network" level="1"/>
    	</dimension>
    	<dimension displayName="Payment Status" id="Payment_Status">
    		<attribute attributeSource="Payment_Status" displayName="Status" id="Status" level="1"/>
    	</dimension>
    	<dimension displayName="Payment DateTime" id="Payment_DateTime">
    		<attribute attributeSource="Payment_DateTime" displayName="Payment DataTime" id="Payment_DataTime" level="1"/>
    	</dimension>
    	<dimension displayName="Country" id="Country">
    		<attribute attributeSource="/CorporatePaymentsMM/MDM/CorporatePayments/Country" displayName="Country" id="Country" level="1"/>
    	</dimension>
    	<dimension displayName="Payment Approval" id="Payment_Approval">
    		<attribute displayName="Payment Approval" id="Payment_Approval" attributeSource="/CorporatePaymentsMM/MDM/CorporatePayments/Payment_Approval" level="1"></attribute>
    	</dimension>
    </cube>
    <cube displayName="CorporatePaymentsDA Cube" id="CorporatePaymentsDA_Cube" monitoringContext="CorporatePaymentsDA">
    	<measure aggregationType="count" displayName="Service Address Measure" id="Service_Address_Measure" source="/CorporatePaymentsMM/MDM/CorporatePaymentsDA/Selected_Service_Endpoint"/>
    	<dimension displayName="Service Variation" id="Service_Variation">
    		<attribute attributeSource="/CorporatePaymentsMM/MDM/CorporatePaymentsDA/Selected_Service_Endpoint" displayName="Selected Service Endpoint" id="Selected_Service_Endpoint" level="1"/>
    	</dimension>
    	<dimension displayName="Task" id="Task">
    		<attribute attributeSource="/CorporatePaymentsMM/MDM/CorporatePaymentsDA/Service_Name" displayName="Service Name" id="Service_Name" level="1"/>
    	</dimension>
    </cube>
  </dimensionalModel>
  <visualModel id="VM">
  	<visualization context="KM/VendorPayment_KPI_Context">
  		<shapeSets>
  			<shapeSet displayName="china" id="china">
  				<shapes>china</shapes>
  			</shapeSet>
  			<shapeSet displayName="germany" id="germany">
  				<shapes>germany</shapes>
  			</shapeSet>
  			<shapeSet displayName="usa" id="usa">
  				<shapes>usa</shapes>
  			</shapeSet>
  			<shapeSet displayName="canada" id="canada">
  				<shapes>canada</shapes>
  			</shapeSet>
  			<shapeSet displayName="label_US_Accepted" id="label_US_Accepted">
  				<shapes>label_US_Accepted</shapes>
  			</shapeSet>
  			<shapeSet displayName="label_US_Rejected" id="label_US_Rejected">
  				<shapes>label_US_Rejected</shapes>
  			</shapeSet>
  			<shapeSet displayName="label_US_Accepted_Value" id="label_US_Accepted_Value">
  				<shapes>label_US_Accepted_Value</shapes>
  			</shapeSet>
			<shapeSet displayName="label_US_Rejected_Value" id="label_US_Rejected_Value">
  				<shapes>label_US_Rejected_Value</shapes>
  			</shapeSet>  			
			<shapeSet displayName="label_GB_Accepted_Value" id="label_GB_Accepted_Value">
  				<shapes>label_GB_Accepted_Value</shapes>
  			</shapeSet>
  			<shapeSet displayName="label_GB_Rejected_Value" id="label_GB_Rejected_Value">
  				<shapes>label_GB_Rejected_Value</shapes>
  			</shapeSet>
  			<shapeSet displayName="label_GB_Accepted" id="label_GB_Accepted">
  				<shapes>label_GB_Accepted</shapes>
  			</shapeSet>
  			<shapeSet displayName="label_GB_Rejected" id="label_GB_Rejected">
  				<shapes>label_GB_Rejected</shapes>
  			</shapeSet>  
  			<shapeSet displayName="label_CN_Accepted_Value" id="label_CN_Accepted_Value">
  				<shapes>label_CN_Accepted_Value</shapes>
  			</shapeSet>  
  			<shapeSet displayName="label_CN_Rejected_Value" id="label_CN_Rejected_Value">
  				<shapes>label_CN_Rejected_Value</shapes>
  			</shapeSet>    							
  			<shapeSet displayName="label_CN_Accepted" id="label_CN_Accepted">
  				<shapes>label_CN_Accepted</shapes>
  			</shapeSet>
  			<shapeSet displayName="label_CN_Rejected" id="label_CN_Rejected">
  				<shapes>label_CN_Rejected</shapes>
  			</shapeSet>  			
  			<shapeSet displayName="GreatBritain" id="GreatBritain">
  				<shapes>GreatBritain</shapes>
  			</shapeSet>
  		</shapeSets>
 <actions>
  			<setText condition="Accepted_Transaction_CN&gt;0" textColor="#8080ff" textValue="Accepted_Transaction_CN">
  				<shapeSet ref="label_CN_Accepted"/>
  			</setText>
  			<setText condition="Rejected_Transaction_CN&gt;0" textColor="#ff0000" textValue="Rejected_Transaction_CN ">
  				<shapeSet ref="label_CN_Rejected"/>
  			</setText>
  			<setText condition="Accepted_Transaction_GB&gt;0" textColor="#8080ff" textValue="Accepted_Transaction_GB ">
  				<shapeSet ref="label_GB_Accepted"/>
  			</setText>
  			<setText condition="Rejected_Transaction_GB&gt;0" textColor="#ff0000" textValue="Rejected_Transaction_GB ">
  				<shapeSet ref="label_GB_Rejected"/>
  			</setText>
  			<setText condition="Accepted_Transaction_US&gt;0" textColor="#8080ff" textValue="Accepted_Transaction_US ">
  				<shapeSet ref="label_US_Accepted"/>
  			</setText>
  			<setText condition="Rejected_Transaction_US&gt;0" textColor="#ff0000" textValue="Rejected_Transaction_US ">
  				<shapeSet ref="label_US_Rejected"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Accepted_Transaction_Value_CN ">
  				<shapeSet ref="label_CN_Accepted_Value"/>
  			</setText>
  			<setText textColor="#ff00ff" textValue="Rejected_Transaction_Value_CN ">
  				<shapeSet ref="label_CN_Rejected_Value"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Accepted_Transaction_Value_US ">
  				<shapeSet ref="label_US_Accepted_Value"/>
  			</setText>
  			<setText textColor="#0000a0" textValue="Accepted_Transaction_Value_GB ">
  				<shapeSet ref="label_GB_Accepted_Value"/>
  			</setText>
  			<setText textColor="#ff00ff" textValue="Rejected_Transaction_Value_US ">
  				<shapeSet ref="label_US_Rejected_Value"/>
  			</setText>
  			<setText textColor="#ff00ff" textValue="Rejected_Transaction_Value_GB ">
  				<shapeSet ref="label_GB_Rejected_Value"/>
  			</setText>
  			<setText condition="Accepted_Transaction_CN&lt;=0" textValue="&quot;&quot;">
  				<shapeSet ref="label_CN_Accepted"/>
  			</setText>
  			<setText condition="Accepted_Transaction_GB&lt;=0" textValue="&quot;&quot;">
  				<shapeSet ref="label_GB_Accepted"/>
  			</setText>
  			<setText condition="Rejected_Transaction_CN&lt;=0" textColor="#9d0000" textValue="&quot;&quot;">
  				<shapeSet ref="label_CN_Rejected"/>
  			</setText>
  			<setText condition="Rejected_Transaction_GB&lt;=0" textValue="&quot;&quot;">
  				<shapeSet ref="label_GB_Rejected"/>
  			</setText>
  			<setText condition="Accepted_Transaction_US&lt;=0" textValue="&quot;&quot;">
  				<shapeSet ref="label_US_Accepted"/>
  			</setText>
  			<setText condition="Rejected_Transaction_US&lt;=0" textValue="&quot;&quot;">
  				<shapeSet ref="label_US_Rejected"/>
  			</setText>
 </actions>
  		<svgDocument>
  			<import location="/BankingMMProj/BankingWorldMap.svg"/>
  		</svgDocument>
  	</visualization>
  	<visualization context="MDM/CorporatePaymentsUIProcess">
  		<shapeSets>
  			<shapeSet displayName="Connection_6_View_Corporate_Payments_Response_to_Terminate_Node_2" id="Connection_6_View_Corporate_Payments_Response_to_Terminate_Node_2">
  				<shapes>Connection_6_View_Corporate_Payments_Response_to_Terminate_Node_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_2_Submit_Corporate_Payment_Request__to_Create_Corporate_Payment_Request_2" id="Connection_2_Submit_Corporate_Payment_Request__to_Create_Corporate_Payment_Request_2">
  				<shapes>Connection_2_Submit_Corporate_Payment_Request__to_Create_Corporate_Payment_Request_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_Corporate_Payments_UI_Process_to_Submit_Corporate_Payment_Request__2" id="Connection_Corporate_Payments_UI_Process_to_Submit_Corporate_Payment_Request__2">
  				<shapes>Connection_Corporate_Payments_UI_Process_to_Submit_Corporate_Payment_Request__2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_3_Create_Corporate_Payment_Request_to_Retrieve_Corporate__Payment_Details_2" id="Connection_3_Create_Corporate_Payment_Request_to_Retrieve_Corporate__Payment_Details_2">
  				<shapes>Connection_3_Create_Corporate_Payment_Request_to_Retrieve_Corporate__Payment_Details_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_4_Retrieve_Corporate__Payment_Details_to_Create_Corporate_Payment_Response_2" id="Connection_4_Retrieve_Corporate__Payment_Details_to_Create_Corporate_Payment_Response_2">
  				<shapes>Connection_4_Retrieve_Corporate__Payment_Details_to_Create_Corporate_Payment_Response_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Connection_5_Create_Corporate_Payment_Response_to_View_Corporate_Payments_Response_2" id="Connection_5_Create_Corporate_Payment_Response_to_View_Corporate_Payments_Response_2">
  				<shapes>Connection_5_Create_Corporate_Payment_Response_to_View_Corporate_Payments_Response_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="View_Corporate_Payments_Response_2_bottom_label" id="View_Corporate_Payments_Response_2_bottom_label">
  				<shapes>View_Corporate_Payments_Response_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="View_Corporate_Payments_Response_2_top_label" id="View_Corporate_Payments_Response_2_top_label">
  				<shapes>View_Corporate_Payments_Response_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Create_Corporate_Payment_Response_2_bottom_label" id="Create_Corporate_Payment_Response_2_bottom_label">
  				<shapes>Create_Corporate_Payment_Response_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Create_Corporate_Payment_Response_2_top_label" id="Create_Corporate_Payment_Response_2_top_label">
  				<shapes>Create_Corporate_Payment_Response_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Retrieve_Corporate__Payment_Details_2_bottom_label" id="Retrieve_Corporate__Payment_Details_2_bottom_label">
  				<shapes>Retrieve_Corporate__Payment_Details_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Retrieve_Corporate__Payment_Details_2_top_label" id="Retrieve_Corporate__Payment_Details_2_top_label">
  				<shapes>Retrieve_Corporate__Payment_Details_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Create_Corporate_Payment_Request_2_bottom_label" id="Create_Corporate_Payment_Request_2_bottom_label">
  				<shapes>Create_Corporate_Payment_Request_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Create_Corporate_Payment_Request_2_top_label" id="Create_Corporate_Payment_Request_2_top_label">
  				<shapes>Create_Corporate_Payment_Request_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Submit_Corporate_Payment_Request__2_bottom_label" id="Submit_Corporate_Payment_Request__2_bottom_label">
  				<shapes>Submit_Corporate_Payment_Request__2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Submit_Corporate_Payment_Request__2_top_label" id="Submit_Corporate_Payment_Request__2_top_label">
  				<shapes>Submit_Corporate_Payment_Request__2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Color_Legend_2_bottom_label" id="Color_Legend_2_bottom_label">
  				<shapes>Color_Legend_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Color_Legend_2_top_label" id="Color_Legend_2_top_label">
  				<shapes>Color_Legend_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Terminate_Node_2_bottom_label" id="Terminate_Node_2_bottom_label">
  				<shapes>Terminate_Node_2_bottom_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Terminate_Node_2_top_label" id="Terminate_Node_2_top_label">
  				<shapes>Terminate_Node_2_top_label</shapes>
  			</shapeSet>
  			<shapeSet displayName="Terminate_Node_2" id="Terminate_Node_2">
  				<shapes>Terminate_Node_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Submit_Corporate_Payment_Request__2" id="Submit_Corporate_Payment_Request__2">
  				<shapes>Submit_Corporate_Payment_Request__2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Create_Corporate_Payment_Request_2" id="Create_Corporate_Payment_Request_2">
  				<shapes>Create_Corporate_Payment_Request_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Retrieve_Corporate__Payment_Details_2" id="Retrieve_Corporate__Payment_Details_2">
  				<shapes>Retrieve_Corporate__Payment_Details_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="Create_Corporate_Payment_Response_2" id="Create_Corporate_Payment_Response_2">
  				<shapes>Create_Corporate_Payment_Response_2</shapes>
  			</shapeSet>
  			<shapeSet displayName="View_Corporate_Payments_Response_2" id="View_Corporate_Payments_Response_2">
  				<shapes>View_Corporate_Payments_Response_2</shapes>
  			</shapeSet>
  		</shapeSets>
  		<actions>
  			<setColor condition="submitCorporatePaymentsProcess eq &quot;EXIT&quot;" fillColor="#00ff00" outlineColor="#000000">
  				<shapeSet ref="Submit_Corporate_Payment_Request__2"/>
  			</setColor>
  			<setColor condition="submitCorporatePaymentsProcess eq &quot;ENTRY&quot;" fillColor="#ff8000" outlineColor="#000000">
  				<shapeSet ref="Submit_Corporate_Payment_Request__2"/>
  			</setColor>
  			<setColor condition="submitCorporatePaymentsProcess eq &quot;EXIT&quot;" fillColor="#ff8000" outlineColor="#000000">
  				<shapeSet ref="Retrieve_Corporate__Payment_Details_2"/>
  			</setColor>
  			<setColor condition="viewCorporatePaymentResponse eq &quot;EXIT&quot;" fillColor="#00ff00" outlineColor="#000000">
  				<shapeSet ref="View_Corporate_Payments_Response_2"/>
  			</setColor>
  			<setColor condition="viewCorporatePaymentResponse eq &quot;CREATED&quot;" fillColor="#ff8000" outlineColor="#000000">
  				<shapeSet ref="View_Corporate_Payments_Response_2"/>
  			</setColor>
  			<setColor condition="retriveCorporatePaymentsDetails eq &quot;EXIT&quot;" fillColor="#00ff00" outlineColor="#000000">
  				<shapeSet ref="Retrieve_Corporate__Payment_Details_2"/>
  			</setColor>
  		</actions>
  		<svgDocument>
  			<import location="/BankingMMProj/Corporate Payments UI Process.svg"/>
  		</svgDocument>
  	</visualization>
  </visualModel>
  <eventModel id="EM">
    <!-- 
    <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1"/>
    <import namespace="http://www.w3.org/2001/XMLSchema"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component"/>
    <import location="/IFW/InvolvedPartyManagementRetrieveFullCustomerDetails.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/BankingPaymentsCommonServices/cctidebulking.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/12/banking/payments/schema/CCTIDebulk"/>
    <import location="/BankingPaymentsCommonServices/pain.001.001.02.xsd" namespace="urn:iso:std:iso:20022:tech:xsd:pain.001.001.02"/>
    <import location="/BankingPaymentsCommonServices/pain.002.001.02.xsd" namespace="urn:iso:std:iso:20022:tech:xsd:pain.002.001.02"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0"/>
    <import location="/BankingPaymentsCommonServices/cctivalidation.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/CCTIValidation"/>
    <import location="/IFW/OperationalRiskManagementEvaluateCustomerRisk.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/PaymentProcessingAcceptOutpaymentInstruction.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/BankingPaymentsCommonServices/ErrorMessageSchema.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/error"/>
    <import location="/IFW/tns.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/Communication.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/Arrangement.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/AccountingTransaction.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/InvolvedParty.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/BankingMMProj/RejectedPaymentsEvent.cbe"/>
        <import location="/BankingMMProj/ActionServicesEvent.cbe"/>
        <import location="CustomerNotification.cbe"/>
        <import location="/CorporatePaymentsLib/PaymentAmountApproval.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/PaymentAmountAprovalRequest"/>
        <import location="/CorporatePaymentsLib/VendorPaymentUIRequest.xsd"/>
        <import location="/CorporatePaymentsLib/VendorPaymentUIResponse.xsd"/>
        <import location="/CorporatePaymentsLib/pacs.008.001.01.xsd"/>
        <import location="/CorporatePaymentsLib/PaymentAmountApproval.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/PaymentAmountAprovalRequest"/>
        <import location="/CorporatePaymentsLib/pacs.008.001.01.xsd" namespace="urn:iso:std:iso:20022:tech:xsd:pacs.008.001.01"/>
        <import location="/CorporatePaymentsLib/VendorPaymentUIRequest.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIRequest"/>
        <import location="/CorporatePaymentsLib/VendorPaymentUIResponse.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIResponse"/>
        -->
    <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1"/>
    <import namespace="http://www.w3.org/2001/XMLSchema"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/6.0.0:Component"/>
    <import location="/IFW/InvolvedPartyManagementRetrieveFullCustomerDetails.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/CorporatePaymentsLib/pacs.008.001.01.xsd" namespace="urn:iso:std:iso:20022:tech:xsd:pacs.008.001.01"/>
    <import location="/CorporatePaymentsLib/VendorPaymentUIRequest.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIRequest"/>
    <import location="/CorporatePaymentsLib/VendorPaymentUIResponse.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/VendorPaymentUIResponse"/>
    <import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0"/>
    <import location="/BankingPaymentsCommonServices/pain.001.001.02.xsd" namespace="urn:iso:std:iso:20022:tech:xsd:pain.001.001.02"/>
    <import location="/BankingPaymentsCommonServices/pain.002.001.02.xsd" namespace="urn:iso:std:iso:20022:tech:xsd:pain.002.001.02"/>
    <import location="/BankingPaymentsCommonServices/cctivalidation.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/CCTIValidation"/>
    <import location="/IFW/OperationalRiskManagementEvaluateCustomerRisk.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/PaymentProcessingAcceptOutpaymentInstruction.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/BankingPaymentsCommonServices/cctidebulking.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/12/banking/payments/schema/CCTIDebulk"/>
    <import location="/CorporatePaymentsLib/PaymentAmountApproval.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2009/12/banking/payments/schema/PaymentAmountAprovalRequest"/>
    <import location="/BankingPaymentsCommonServices/ErrorMessageSchema.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2007/06/banking/payments/schema/error"/>
    <import location="/IFW/tns.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/Communication.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/Arrangement.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/AccountingTransaction.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/IFW/InvolvedParty.xsd" namespace="http://www.ibm.com/industries/financialservices"/>
    <import location="/BankingMMProj/CustomerNotification.cbe"/>
    <import location="/BankingMMProj/ActionServicesEvent.cbe"/>
    <import location="/BankingMMProj/RejectedPaymentsEvent.cbe"/>
    <import location="/MonitorDALibrary/dynamic-selection-event.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/fabric/2008/06/dynamic-selection-event"/>
    <import location="ServiceEndpointSelectionEvent.cbe"></import>
  </eventModel>
</mm:monitor>