/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2009 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.util;

/**
 * @author govindm
 *
 */
public interface BankingConstants {

	String FABRIC_GOVERNANCE = "fc://fabric/governance/fabricproject-inst#67cf4750-7f78-44d2-bfb3-09467bb87ece";
	String FABRIC_GOVERNANCE_VALUE = "http://www.webifysolutions.com/2005/10/catalog/governance#FabricProject";
	
	
	String TRANSACTION_AMOUNT_ASSERTION = "http://www.ibm.com/websphere/fabric/banking/payments/iso20022/dict/5.1.2.1/assertions#hasTransactionAmount";
	String OCCUPATION_STATUS_ASSERTION = "http://www.ibm.com/contentpack/banking/payments/mortgage-refinancing/assertions#occupationStatus";
	String REFINANCE_OPTION_ASSERTION = "http://www.ibm.com/contentpack/banking/payments/mortgage-refinancing/assertions#refinanceOption";

	String CREDIT_RATING_CMDTYPE = "//GetCreditRatingRequest/requestHeader/cmdType";
	
	String OCCUPATION_STATUS = "//occupationStatus";
	String SALARIED = "Salaried";
	String SELF_EMPLOYED = "Self-Employed";
	
	String REFINANCE_OPTION = "refinanceOption";
	String HA = "HA";
	String REFINANCE = "Refinance";
	String YES = "Yes";
	String EMPTY = "";
}
